package com.yonge.cooleshow.api.feign;

import com.yonge.cooleshow.api.feign.fallback.AdminFeignServiceFallback;
import com.yonge.toolset.feign.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "${app-config.open-feign.tenant-server.name:tenant-server}", url="${app-config.open-feign.tenant-server.url:}",
        configuration = FeignConfiguration.class, fallback = AdminFeignServiceFallback.class)
public interface TenantFeignService {

    //机构人员汇总
    @GetMapping(value = "/task/tenantPersonStat")
    void tenantPersonStat();
}
