package com.yonge.cooleshow.api.feign.fallback;

import com.yonge.cooleshow.api.feign.AdminFeignService;
import com.yonge.cooleshow.api.feign.dto.*;
import com.yonge.cooleshow.api.feign.dto.CouponInfoApi;
import com.yonge.cooleshow.api.feign.dto.EmployeeApi;
import com.yonge.cooleshow.api.feign.dto.StudentApi;
import com.yonge.cooleshow.api.feign.dto.StudentWrapper;
import com.yonge.cooleshow.api.feign.dto.TeacherApi;
import com.yonge.cooleshow.api.feign.dto.TenantWrapper;
import com.yonge.cooleshow.api.feign.dto.UserFriendInfoVO;
import com.yonge.cooleshow.common.entity.ContractDto;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import com.yonge.cooleshow.common.entity.MallOrderItemDto;
import com.yonge.cooleshow.common.enums.UserFirstTimeTypeEnum;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-06
 */
public class AdminFeignServiceFallback implements AdminFeignService {
    @Override
    public Object daysTask() {
        return null;
    }

    @Override
    public Object pollingOrder() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> sendTodayNotRepliedAndNotDecorateHomework() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> sendTeacherEarning() {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> mallRecord(List<MallOrderItemDto> shareDto) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> mallRecordState(List<MallOrderItemDto> shareDto) {
        return null;
    }


    @Override
    public HttpResponseResult refreshBlackList() {

        return null;
    }

    @Override
    public HttpResponseResult<String> findConfigValue(String paramName) {

        return null;
    }

    public HttpResponseResult<Boolean> contractRecord(ContractDto contract) {
        return null;
    }

    @Override
    public HttpResponseResult activityState() {
        return null;
    }

    @Override
    public HttpResponseResult activityIng() {
        return null;
    }

    @Override
    public HttpResponseResult recordTime(Long userId, String userType, UserFirstTimeTypeEnum firstTimeTypeEnum) {
        return null;
    }

    @Override
    public HttpResponseResult<TeacherApi> getTeacher(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<StudentApi> getStudent(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<EmployeeApi> getEmployee(Long userId) {
        return null;
    }

    /**
     * 机构信息
     *
     * @param tenantId 机构ID
     * @return TenantWrapper.Tenant
     */
    @Override
    public HttpResponseResult<TenantWrapper.Tenant> getTenantInfo(Long tenantId) {
        return null;
    }

    /**
     * 机构员工信息
     *
     * @param userId 用户ID
     * @return TenantWrapper.Staff
     */
    @Override
    public HttpResponseResult<TenantWrapper.Staff> getTenantStaff(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> updateCouponOrderInfo(String couponIssueId, Boolean returnCoupon, String orderNo) {
        return null;
    }

    @Override
    public HttpResponseResult<CouponInfoApi> queryCouponOrderPageInfo(Long userId, String issueIds, BigDecimal orderAmount, String client) {
        return null;
    }

    /**
     * 新用户添加客服好友
     *
     * @param info UserFriendInfoVO
     * @return HttpResponseResult<Boolean>
     */
    @Override
    public HttpResponseResult<Boolean> customerService(UserFriendInfoVO info) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> virtualNumber() {
        return null;
    }

    /**
     * 群发消息
     */
    @Override
    public HttpResponseResult<Boolean> batchSending() {
        return null;
    }

    /**
     * 销毁直播间
     */
    @Override
    public HttpResponseResult<Object> destroyLiveRoom() {
        return null;
    }

    /**
     * 融云消息同步
     */
    @Override
    public void rongyunImport() {

    }


    @Override
    public HttpResponseResult<StudentWrapper.UnionStudentResp> unionStudent(StudentWrapper.UnionStudent info) {
        return null;
    }

    /**
     * 定时发送平台审核短信 下午5点
     */
    @Override
    public HttpResponseResult<Object> sendPlatformAuditMessage() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> sendTenantAlbumMessage() {
        return null;
    }

    /**
     * 作品过期设置
     */
    @Override
    public HttpResponseResult<Object> workOverdue() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> courseStartRemind() {
        return null;
    }

    @Override
    public ImUserInfo register(String userId, String clientType, String username, String avatar) {
        return null;
    }


    @Override
    public HttpResponseResult<List<ApiWrapper.LogOff>> accountLogoffCheck(String phone) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> logoffQuitImGroup(String phone) {
        return null;
    }

    /**
     * 清除客服绑定关系
     *
     * @param userId      用户ID
     * @param sysUserType 用户类型
     *
     * @return HttpResponseResult<Boolean>
     */
    @Override
    public HttpResponseResult<Boolean> clearCustomerService(Long userId, String sysUserType) {
        return null;
    }
}
