package com.yonge.cooleshow.admin.controller;//package com.yonge.cooleshow.admin.controller;
//
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import javax.validation.Valid;
//
//import com.yonge.cooleshow.biz.dal.dto.VideoLessonEvaluateDto;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.RequestMapping;
//import com.yonge.cooleshow.common.controller.BaseController;
//import com.yonge.cooleshow.common.entity.HttpResponseResult;
//import com.yonge.cooleshow.biz.dal.entity.VideoLessonEvaluate;
//import com.yonge.cooleshow.biz.dal.service.VideoLessonEvaluateService;
//import com.yonge.cooleshow.auth.api.entity.SysUser;
//import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
//
///**
// * 视频课学员评价 web 控制层
// * @author yzp
// * @date 2022-03-26 00:21:46
// * @version v1.0
// **/
//@RestController
//@RequestMapping("/video/lesson/evaluate")
//@Api(tags = "视频课学员评价 API接口")
//public class VideoLessonEvaluateController extends BaseController {
//    @Autowired
//    private SysUserFeignService sysUserFeignService;
//
//	@Autowired
//	private VideoLessonEvaluateService videoLessonEvaluateService;
//
//	@ApiOperation(value = "新增", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping(value="/create", consumes="application/json", produces="application/json")
//    public HttpResponseResult<Object> create(@Valid @RequestBody VideoLessonEvaluate videoLessonEvaluate) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//
//        //videoLessonEvaluate.setCreateBy(sysUser.getId());
//        //videoLessonEvaluate.setCreateTime(new Date());
//        videoLessonEvaluateService.save(videoLessonEvaluate);
//        return succeed();
//    }
//
//    @ApiOperation(value = "删除", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping("/delete/{id}")
//    public Object delete(@PathVariable Long id) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//
//        videoLessonEvaluateService.removeById(id);
//        return succeed();
//    }
//
//    @ApiOperation(value = "修改", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping(value="/update", consumes="application/json", produces="application/json")
//    public HttpResponseResult<Object> update(@Valid @RequestBody VideoLessonEvaluate videoLessonEvaluate) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//        if (videoLessonEvaluate.getId()==null){
//            return failed("缺少ID");
//        }
//
//        //videoLessonEvaluate.setUpdateBy(sysUser.getId());
//        //videoLessonEvaluate.setUpdateTime(new Date());
//        videoLessonEvaluateService.updateById(videoLessonEvaluate);
//        return succeed();
//    }
//
//    @ApiOperation(value = "分页查询", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping(value="/list", consumes="application/json", produces="application/json")
//    public HttpResponseResult<Object> list(@RequestBody VideoLessonEvaluateDto videoLessonEvaluateDto) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//
//        int pageNo = videoLessonEvaluateDto.getPageNo();
//        int pageSize = videoLessonEvaluateDto.getPageSize();
//
//        try {
//            if (pageNo==0) {
//                pageNo = 1;
//            }
//            if (pageSize==0) {
//                pageSize = 10;
//            }
//
//            LambdaQueryWrapper<VideoLessonEvaluate> lambdaQueryWrapper = Wrappers.lambdaQuery();
//            //lambdaQueryWrapper.like(VideoLessonEvaluate::getName , "k");
//
//            Page<VideoLessonEvaluate> page = new Page<>(pageNo,pageSize);
//            return succeed(videoLessonEvaluateService.page(page, lambdaQueryWrapper));
//        } catch (Exception e) {
//            e.printStackTrace();
//            return HttpResponseResult.failed(e.getMessage());
//        }
//    }
//}
