package com.yonge.cooleshow.admin.controller;//package com.yonge.cooleshow.admin.controller;
//
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import javax.validation.Valid;
//import com.yonge.cooleshow.biz.dal.dto.VideoLessonStudyRecordDto;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.RequestMapping;
//import com.yonge.cooleshow.common.controller.BaseController;
//import com.yonge.cooleshow.common.entity.HttpResponseResult;
//import com.yonge.cooleshow.biz.dal.entity.VideoLessonStudyRecord;
//import com.yonge.cooleshow.biz.dal.service.VideoLessonStudyRecordService;
//import com.yonge.cooleshow.auth.api.entity.SysUser;
//import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
//
///**
// * 视频课学习记录表 web 控制层
// * @author yzp
// * @date 2022-03-26 00:21:46
// * @version v1.0
// **/
//@RestController
//@RequestMapping("/video/lesson/study/record")
//@Api(tags = "视频课学习记录表 API接口")
//public class VideoLessonStudyRecordController extends BaseController {
//    @Autowired
//    private SysUserFeignService sysUserFeignService;
//
//	@Autowired
//	private VideoLessonStudyRecordService videoLessonStudyRecordService;
//
//	@ApiOperation(value = "新增", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping(value="/create", consumes="application/json", produces="application/json")
//    public HttpResponseResult<Object> create(@Valid @RequestBody VideoLessonStudyRecord videoLessonStudyRecord) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//
//        //videoLessonStudyRecord.setCreateBy(sysUser.getId());
//        //videoLessonStudyRecord.setCreateTime(new Date());
//        videoLessonStudyRecordService.save(videoLessonStudyRecord);
//        return succeed();
//    }
//
//    @ApiOperation(value = "删除", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping("/delete/{id}")
//    public Object delete(@PathVariable Long id) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//
//        videoLessonStudyRecordService.removeById(id);
//        return succeed();
//    }
//
//    @ApiOperation(value = "修改", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping(value="/update", consumes="application/json", produces="application/json")
//    public HttpResponseResult<Object> update(@Valid @RequestBody VideoLessonStudyRecord videoLessonStudyRecord) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//        if (videoLessonStudyRecord.getId()==null){
//            return failed("缺少ID");
//        }
//
//        //videoLessonStudyRecord.setUpdateBy(sysUser.getId());
//        //videoLessonStudyRecord.setUpdateTime(new Date());
//        videoLessonStudyRecordService.updateById(videoLessonStudyRecord);
//        return succeed();
//    }
//
//    @ApiOperation(value = "分页查询", httpMethod="POST", consumes="application/json", produces="application/json")
//    @PostMapping(value="/list", consumes="application/json", produces="application/json")
//    public HttpResponseResult<Object> list(@RequestBody VideoLessonStudyRecordDto videoLessonStudyRecordDto) {
//        SysUser sysUser = sysUserFeignService.queryUserInfo();
//        if (sysUser == null) {
//            return failed("用户信息获取失败");
//        }
//
//        int pageNo = videoLessonStudyRecordDto.getPageNo();
//        int pageSize = videoLessonStudyRecordDto.getPageSize();
//
//        try {
//            if (pageNo==0) {
//                pageNo = 1;
//            }
//            if (pageSize==0) {
//                pageSize = 10;
//            }
//
//            LambdaQueryWrapper<VideoLessonStudyRecord> lambdaQueryWrapper = Wrappers.lambdaQuery();
//            //lambdaQueryWrapper.like(VideoLessonStudyRecord::getName , "k");
//
//            Page<VideoLessonStudyRecord> page = new Page<>(pageNo,pageSize);
//            return succeed(videoLessonStudyRecordService.page(page, lambdaQueryWrapper));
//        } catch (Exception e) {
//            e.printStackTrace();
//            return HttpResponseResult.failed(e.getMessage());
//        }
//    }
//}
