package com.yonge.cooleshow.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_role):
 */
public class SysRole {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "角色名称",required = false)
	private String roleName;
	
	/**  */
	@ApiModelProperty(value = "角色编码",required = false)
	private String roleCode;
	
	/**  */
	@ApiModelProperty(value = "角色描述",required = false)
	private String roleDesc;
	
	@ApiModelProperty(value = "是否启用",required = false)
	private Boolean isEnable;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 删除标识（0-正常,1-删除） */
	@ApiModelProperty(value = "删除标识（0-正常,1-删除）",required = false)
	private Boolean delFlag= false;

	@ApiModelProperty(value = "菜单列表",required = false)
	private List<Long> menuIds;

	public List<Long> getMenuIds() {
		return menuIds;
	}

	public void setMenuIds(List<Long> menuIds) {
		this.menuIds = menuIds;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setRoleName(String roleName){
		this.roleName = roleName;
	}
	
	public String getRoleName(){
		return this.roleName;
	}
			
	public void setRoleCode(String roleCode){
		this.roleCode = roleCode;
	}
	
	public String getRoleCode(){
		return this.roleCode;
	}
			
	public void setRoleDesc(String roleDesc){
		this.roleDesc = roleDesc;
	}
	
	public String getRoleDesc(){
		return this.roleDesc;
	}
			
	public Boolean getIsEnable() {
		return isEnable;
	}

	public void setIsEnable(Boolean isEnable) {
		this.isEnable = isEnable;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Boolean getEnable() {
		return isEnable;
	}

	public void setEnable(Boolean enable) {
		isEnable = enable;
	}

	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
