package com.yonge.cooleshow.auth.api.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@ApiModel("用户账号密码")
@Data
public class UserPassword {


    @ApiModel("校验密码")
    @Data
    public static class CheckPassword {

        @ApiModelProperty("密码")
        @NotNull(message = "密码不能为空")
        private String password;
    }

    @ApiModel("校验验证码")
    @Data
    public static class CheckVerityCode {

        @ApiModelProperty("验证码")
        @NotNull(message = "验证码不能为空")
        private String code;
    }
}
