package com.yonge.cooleshow.auth.api.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 微信模板配置
 * 2023-02-01 14:21:57
 */
@Data
@ApiModel(" WxTemplateConfig-微信模板配置")
@TableName("wx_template_config")
public class WxTemplateConfig implements Serializable {

    @ApiModelProperty("主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty("微信公众号")
	@TableField(value = "appid")
    private String appid;

    @ApiModelProperty("消息指令")
	@TableField(value = "command")
    private String command;

    @ApiModelProperty("微信模板id")
	@TableField(value = "wx_template_id")
    private String wxTemplateId;

    @ApiModelProperty("模板消息地址")
	@TableField(value = "url")
    private String url;

    @ApiModelProperty("描述")
	@TableField(value = "description")
    private String description;

    @ApiModelProperty("状态")
	@TableField(value = "status")
    private Boolean status;

    @ApiModelProperty("创建时间")
	@TableField(value = "create_time")
    private Date createTime;

}
