package com.yonge.cooleshow.auth.api.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 微信模板消息内容
 * 2023-02-01 14:21:57
 */
@Data
@ApiModel(" WxTemplateMessage-微信模板消息内容")
@TableName("wx_template_message")
public class WxTemplateMessage implements Serializable {

    @ApiModelProperty("主键列")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty("应用标识")
	@TableField(value = "appid")
    private String appid;

    @ApiModelProperty("指令")
	@TableField(value = "command")
    private String command;

    @ApiModelProperty("内容")
	@TableField(value = "content")
    private String content;

    @ApiModelProperty("标题")
	@TableField(value = "title")
    private String title;

    @ApiModelProperty("版本")
	@TableField(value = "version")
    private Integer version;

    @ApiModelProperty("类型WECHAT；APP")
	@TableField(value = "type")
    private String type;

    @ApiModelProperty("描述")
	@TableField(value = "description")
    private String description;

    @ApiModelProperty("状态")
	@TableField(value = "status")
    private Boolean status;

    @ApiModelProperty("创建时间")
	@TableField(value = "create_time")
    private Date createTime;

}
