package com.yonge.cooleshow.auth.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.auth.api.entity.WxConfigInfo;
import com.yonge.cooleshow.auth.dal.wrapper.WxConfigInfoWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 微信配置信息
 * 2023-02-01 14:21:57
 */
@Repository
public interface WxConfigInfoMapper extends BaseMapper<WxConfigInfo> {

	/**
	 * 分页查询
	 * @param page IPage<WxConfigInfoWrapper.WxConfigInfo>
	 * @param param WxConfigInfoWrapper.WxConfigInfoQuery
	 * @return List<WxConfigInfoWrapper.WxConfigInfo>
	 */
	List<WxConfigInfo> selectPage(@Param("page") IPage<WxConfigInfo> page, @Param("param") WxConfigInfoWrapper.WxConfigInfoQuery param);

}
