package com.yonge.cooleshow.auth.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.auth.api.entity.WxTemplateConfig;
import com.yonge.cooleshow.auth.dal.wrapper.WxTemplateConfigWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 微信模板配置
 * 2023-02-01 14:21:57
 */
@Repository
public interface WxTemplateConfigMapper extends BaseMapper<WxTemplateConfig> {

	/**
	 * 分页查询
	 * @param page IPage<WxTemplateConfigWrapper.WxTemplateConfig>
	 * @param param WxTemplateConfigWrapper.WxTemplateConfigQuery
	 * @return List<WxTemplateConfigWrapper.WxTemplateConfig>
	 */
	List<WxTemplateConfig> selectPage(@Param("page") IPage<WxTemplateConfig> page, @Param("param") WxTemplateConfigWrapper.WxTemplateConfigQuery param);

}
