package com.yonge.cooleshow.auth.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.auth.api.entity.WxTemplateMessage;
import com.yonge.cooleshow.auth.dal.wrapper.WxTemplateMessageWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 微信模板消息内容
 * 2023-02-01 14:21:57
 */
@Repository
public interface WxTemplateMessageMapper extends BaseMapper<WxTemplateMessage> {

	/**
	 * 分页查询
	 * @param page IPage<WxTemplateMessageWrapper.WxTemplateMessage>
	 * @param param WxTemplateMessageWrapper.WxTemplateMessageQuery
	 * @return List<WxTemplateMessageWrapper.WxTemplateMessage>
	 */
	List<WxTemplateMessage> selectPage(@Param("page") IPage<WxTemplateMessage> page, @Param("param") WxTemplateMessageWrapper.WxTemplateMessageQuery param);

}
