package com.yonge.cooleshow.auth.web.controller;

import com.microsvc.toolkit.common.response.template.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Validated
@RestController
@RequestMapping("/open/mutualTLS")
@Api(tags = "HTTPS双向认证")
public class OpenMutualTLSController {

    @ApiOperation(value = "HTTPS双向认证查询")
    @GetMapping(value = "query")
    public R<Boolean> queryByParamNameList() {
        return R.from(true);
    }

}
