package com.yonge.cooleshow.bbs.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.bbs.entity.BbsLike;
import com.yonge.cooleshow.bbs.vo.BbsLikeVo;
import com.yonge.cooleshow.bbs.dto.search.BbsLikeSearch;


public interface BbsLikeDao extends BaseMapper<BbsLike>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-06-09 17:27:11
     * @return: com.yonge.cooleshow.bbs.vo.BbsLikeVo
	 */
	BbsLikeVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-06-09 17:27:11
     * @return: com.yonge.cooleshow.bbs.vo.BbsLikeVo
	 */
	List<BbsLikeVo> selectPage(@Param("page") IPage page, @Param("param") BbsLikeSearch bbsLike);
	
}