package com.yonge.cooleshow.bbs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.bbs.dto.search.BbsAuthRecordSearch;
import com.yonge.cooleshow.bbs.entity.BbsAuthRecord;
import com.yonge.cooleshow.bbs.vo.BbsAuthRecordVo;

public interface BbsAuthRecordService extends IService<BbsAuthRecord> {
    /**
     * 后台管理-审核-查询文章审核列表
     *
     * @param page
     * @param query
     * @return
     */
    IPage<BbsAuthRecordVo> selectPage(IPage<BbsAuthRecordVo> page, BbsAuthRecordSearch query);

    /**
     * 后台管理-审核-修改文章审核状态
     *
     * @param record
     */
    void updateAuditState(BbsAuthRecord record);
}