package com.yonge.cooleshow.bbs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.bbs.dto.search.BbsReplySearch;
import com.yonge.cooleshow.bbs.vo.BbsCollectVo;
import com.yonge.cooleshow.bbs.dto.search.BbsCollectSearch;
import com.yonge.cooleshow.bbs.entity.BbsCollect;
import com.yonge.cooleshow.bbs.vo.BbsReplyVo;

/**
 * 收藏 服务类
 * @author liweifan
 * @date 2022-06-09
 */
public interface BbsCollectService extends IService<BbsCollect>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-06-09
     */
	BbsCollectVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-06-09
     */
    IPage<BbsCollectVo> selectPage(IPage<BbsCollectVo> page, BbsCollectSearch query);

    void collect(Long userId, Long articleId);
}