package com.yonge.cooleshow.bbs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.bbs.vo.BbsConfigLabelVo;
import com.yonge.cooleshow.bbs.dto.search.BbsConfigLabelSearch;
import com.yonge.cooleshow.bbs.entity.BbsConfigLabel;

import java.util.List;

/**
 * 论坛标签设置 服务类
 *
 * @author liweifan
 * @date 2022-06-09
 */
public interface BbsConfigLabelService extends IService<BbsConfigLabel> {
    /**
     * 查询详情
     *
     * @author liweifan
     * @date 2022-06-09
     */
    BbsConfigLabelVo detail(Long id);

    /**
     * 分页查询
     *
     * @author liweifan
     * @date 2022-06-09
     */
    IPage<BbsConfigLabelVo> selectPage(IPage<BbsConfigLabelVo> page, BbsConfigLabelSearch query);

    /**
     * 查询所有
     *
     * @param delFlag 删除状态
     * @return
     */
    List<BbsConfigLabel> selectAll(Integer delFlag);

    /**
     * 删除
     *
     * @param query
     * @param userId
     */
    void updateFlagByIds(BbsConfigLabelSearch query, Long userId);
}