package com.yonge.cooleshow.bbs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.bbs.vo.BbsFollowVo;
import com.yonge.cooleshow.bbs.dto.search.BbsFollowSearch;
import com.yonge.cooleshow.bbs.entity.BbsFollow;

/**
 * 关注 服务类
 * @author liweifan
 * @date 2022-06-09
 */
public interface BbsFollowService extends IService<BbsFollow>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-06-09
     */
	BbsFollowVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-06-09
     */
    IPage<BbsFollowVo> selectPage(IPage<BbsFollowVo> page, BbsFollowSearch query);

    void follow(Long userId, Long followId);
}