package com.yonge.cooleshow.bbs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.bbs.dto.search.BbsLikeSearch;
import com.yonge.cooleshow.bbs.entity.BbsLike;
import com.yonge.cooleshow.bbs.vo.BbsLikeVo;

/**
 * 点赞 服务类
 *
 * @author liweifan
 * @date 2022-06-09
 */
public interface BbsLikeService extends IService<BbsLike>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-06-09
     */
	BbsLikeVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-06-09
     */
    IPage<BbsLikeVo> selectPage(IPage<BbsLikeVo> page, BbsLikeSearch query);

    void dolike(Long articleId, Long userId);
}