package com.yonge.cooleshow.cms.service;

import java.util.List;

import com.yonge.cooleshow.cms.dal.entity.HelpCenterCatalog;
import com.yonge.toolset.mybatis.service.BaseService;

public interface HelpCenterCatalogService extends BaseService<Long, HelpCenterCatalog> {

	/**
	 * 根据父节点查询所有子节点对象
	 * @param parentId 父节点（可为null）
	 * @param status 状态（可为null）
	 * @return
	 */
	public List<HelpCenterCatalog> queryByParentId(Long parentId, Integer status);

	/**
	 * 修改分类信息
	 * @param catalog
	 * @return
	 */
	public boolean updateCatalog(HelpCenterCatalog catalog);

	/**
	 * 删除分类信息
	 * @param id
	 * @return
	 */
	public boolean deleteCatalog(Long id);
}
