package com.yonge.cooleshow.cms.service;

import java.util.List;

import com.yonge.cooleshow.cms.dal.entity.SysNewsType;
import com.yonge.cooleshow.cms.dal.entity.SysNewsTypeTree;
import com.yonge.cooleshow.cms.dto.SysNewsTypeDto;
import com.yonge.toolset.base.page.PageInfo;
import com.yonge.toolset.base.page.QueryInfo;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysNewsTypeService extends BaseService<Long, SysNewsType> {
	
	List<SysNewsTypeTree> queryTree(Long parentId);

	//根据父级查询子集
	List<SysNewsTypeTree> queryByParentId(Long parentId);

	PageInfo<SysNewsTypeDto> appPage(QueryInfo query);
}