package com.yonge.cooleshow.common.constant;

public interface CommonConstants {

	/**
	 * 编码
	 */
	String UTF8 = "UTF-8";

	/**
	 * 验证码前缀
	 */
	String DEFAULT_CODE_KEY = "DEFAULT_CODE_KEY_";

	/**
	 * oauth 相关前缀
	 */
	String OAUTH_PREFIX = "access:";

	String BASIC = "Basic ";

	String BEARER = "Bearer";

	String AUTHORIZATION = "Authorization";

	/**
	 * @describe 除法小数位
	 * @author Joburgess
	 * @date 2019/11/28
	 * @return
	 */
	Integer DECIMAL_PLACE = 6;

	/**
	 * @describe 最终结果小数位
	 * @author Joburgess
	 * @date 2019/11/28
	 * @return
	 */
	Integer DECIMAL_FINAL_PLACE = 2;

	String DEFULT_PASSWORD = "123456";
	/***
	 * redis缓存分隔符
	 * @author liweifan
	 * @updateTime 2022/3/28 16:29
	 */
	String REDIS_SPLIT = ":";
	/***
	 * 微信授权类型
	 * @author liweifan
	 * @updateTime 2022/4/8 15:48
	 */
	String WECHAT_GRANT_TYPE = "authorization_code";
}
