package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.mall.common.courier.domain.CourierInfo;
import com.yonge.cooleshow.mbg.model.OmsOrderCourier;
import org.springframework.transaction.annotation.Transactional;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-31
 */
public interface OmsOrderCourierService {


    @Transactional
    void updateCourierInfo(CourierInfo courierInfos);

    /**
     * 查询物流
     */
    OmsOrderCourier getCourierInfo(String deliverySn);

    /**
     * 刷新物流信息
     * @return
     */
    @Transactional
    OmsOrderCourier refreshCourier(String deliverySn) throws InterruptedException;
}
