package com.yonge.cooleshow.mbg.mapper;

import org.apache.ibatis.annotations.Param;

public interface SysConfigMapper {
    /**
     * 获取配置信息
     *
     * @param config 配置名
     * @return
     */
    String getConfig(String config);

    /**
     * 设置配置信息
     *
     * @param configName  配置名
     * @param configValue 配置值
     * @return
     */
    int setConfig(@Param("configName") String configName, @Param("configValue") String configValue);
}