package com.yonge.cooleshow.portal.service;

import com.yonge.cooleshow.portal.domain.MemberReadHistory;
import org.springframework.data.domain.Page;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 会员浏览记录管理Service
 * Created by macro on 2018/8/3.
 */
public interface MemberReadHistoryService {
    /**
     * 生成浏览记录
     */
    @Transactional
    int create(MemberReadHistory memberReadHistory);

    /**
     * 批量删除浏览记录
     */
    @Transactional
    int delete(List<String> ids);

    /**
     * 分页获取用户浏览历史记录
     */
    Page<MemberReadHistory> list(Integer pageNum, Integer pageSize);

    /**
     * 清空浏览记录
     */
    @Transactional
    void clear();
}
