package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.CourseCourseware;
import com.yonge.cooleshow.biz.dal.vo.CourseCoursewareVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseCoursewareSearch;


public interface CourseCoursewareDao extends BaseMapper<CourseCourseware>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-11-02 10:17:44
     * @return: com.yonge.cooleshow.biz.dal.vo.CourseCoursewareVo
	 */
	CourseCoursewareVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-11-02 10:17:44
     * @return: com.yonge.cooleshow.biz.dal.vo.CourseCoursewareVo
	 */
	List<CourseCoursewareVo> selectPage(@Param("page") IPage page, @Param("param") CourseCoursewareSearch courseCourseware);

	/**
	 * 查询被购买够的课件信息
	 */
	List<Long> selectPayMusic(@Param("coursewareIdList") List<Long> coursewareIdList);
}