package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yonge.cooleshow.biz.dal.entity.CourseRelationMusicAlbum;
import com.yonge.cooleshow.biz.dal.entity.UserOrder;
import com.yonge.cooleshow.biz.dal.wrapper.course.CourseRelationWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface CourseRelationMusicAlbumDao extends BaseMapper<CourseRelationMusicAlbum>{


    /**
     * 课程用户购买记录
     * @param page Page<UserOrder>
     * @param queryInfo CourseRelationWrapper.PurchaseRecordQueryInfo
     * @return List<UserOrder>
     */
    List<UserOrder> selectCoursePurchaseUserInfo(@Param("page") Page<UserOrder> page, @Param("record") CourseRelationWrapper.PurchaseRecordQueryInfo queryInfo);
}