package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.Instrument;
import com.yonge.cooleshow.biz.dal.wrapper.InstrumentWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 乐器设置
 * 2024-04-22 16:55:18
 */
public interface InstrumentDao extends BaseMapper<Instrument> {

	/**
	 * 分页查询
	 * @param page IPage<InstrumentWrapper.Instrument>
	 * @param param InstrumentWrapper.InstrumentQuery
	 * @return List<InstrumentWrapper.Instrument>
	 */
	List<InstrumentWrapper.Instrument> selectPage(@Param("page") IPage<InstrumentWrapper.Instrument> page, @Param("param") InstrumentWrapper.InstrumentQuery param);

}
