package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.wrapper.liveroom.ImLiveBroadcastRoomMemberWrapper;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.LiveBroadcastRoomMember;
import com.yonge.cooleshow.biz.dal.vo.LiveBroadcastRoomMemberVo;
import com.yonge.cooleshow.biz.dal.dto.search.LiveBroadcastRoomMemberSearch;


public interface LiveBroadcastRoomMemberDao extends BaseMapper<LiveBroadcastRoomMember>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-08-31 18:56:07
     * @return: com.yonge.cooleshow.biz.dal.vo.LiveBroadcastRoomMemberVo
	 */
	LiveBroadcastRoomMemberVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-08-31 18:56:07
     * @return: com.yonge.cooleshow.biz.dal.vo.LiveBroadcastRoomMemberVo
	 */
	List<LiveBroadcastRoomMemberVo> selectPage(@Param("page") IPage page, @Param("param") LiveBroadcastRoomMemberSearch liveBroadcastRoomMember);

}