package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.LiveRoom;
import com.yonge.cooleshow.biz.dal.vo.TeacherLivingInfoVo;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 直播房间与课程的关系表表(LiveRoom)表数据库访问层
 *
 * @author hgw
 * @since 2022-03-18 15:41:16
 */
public interface LiveRoomDao extends BaseMapper<LiveRoom> {

    int insertBatch(@Param("entities") List<LiveRoom> entities);

    LiveRoom getLiveInRoomBySpeakerId(@Param("speakerId") Long speakerId);
    
    List<TeacherLivingInfoVo> queryTeacherLivingList();
}

