package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.LiveRoomVideo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 直播视频记录(LiveRoomVideo)表数据库访问层
 *
 * @author hgw
 * @since 2022-03-18 15:41:17
 */
public interface LiveRoomVideoDao extends BaseMapper<LiveRoomVideo> {

    int insertBatch(@Param("entities") List<LiveRoomVideo> entities);

    LiveRoomVideo getLastRecord(@Param("roomId") String roomId, @Param("recordId") String recordId);

}

