package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.search.TeacherMusicSheetAuditSearch;
import com.yonge.cooleshow.biz.dal.entity.MusicSheetAuthRecord;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.cooleshow.biz.dal.vo.TeacherMusicSheetVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface MusicSheetAuthRecordDao extends BaseMapper<MusicSheetAuthRecord>{


    List<TeacherMusicSheetVo> selectAuditPage(@Param("page") IPage<TeacherMusicSheetVo> page, @Param("param") TeacherMusicSheetAuditSearch query);

    List<MusicSheetAuthRecord> findByMusicSheetIds(@Param("musicSheetIds") List musicSheetIds, @Param("auditStatus") String auditStatus);

    int countTeacherAudit(@Param("userId") Long userId);
}