package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.PianoRoomChangeRecord;
import com.yonge.cooleshow.biz.dal.vo.PianoRoomChangeRecordVo;
import com.yonge.cooleshow.biz.dal.dto.search.PianoRoomChangeRecordSearch;


public interface PianoRoomChangeRecordDao extends BaseMapper<PianoRoomChangeRecord>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-08-03 16:44:34
     * @return: com.yonge.cooleshow.biz.dal.vo.PianoRoomChangeRecordVo
	 */
	PianoRoomChangeRecordVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-08-03 16:44:34
     * @return: com.yonge.cooleshow.biz.dal.vo.PianoRoomChangeRecordVo
	 */
	List<PianoRoomChangeRecordVo> selectPage(@Param("page") IPage page, @Param("param") PianoRoomChangeRecordSearch pianoRoomChangeRecord);
	
}