package com.yonge.cooleshow.biz.dal.dao;

import com.yonge.cooleshow.biz.dal.entity.SysMusicCompareWeekData;
import com.yonge.cooleshow.biz.dal.queryInfo.SysMusicCompareRecordQueryInfo;
import com.yonge.toolset.mybatis.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMusicCompareWeekDataDao extends BaseDAO<Integer, SysMusicCompareWeekData> {

    SysMusicCompareWeekData getWithUserAndMonday(@Param("userId") Long userId,
                                                 @Param("monday") String monday);

    List<SysMusicCompareRecordQueryInfo.MusicCompareRankingDto> queryUserTrainStat(@Param("monday") String monday,
                                                                                 @Param("orderType") Integer orderType,
                                                                                 @Param("heardLevel") String heardLevel,
                                                                                 @Param("tenantId") Long tenantId);
	
}
