package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.search.AuthEntryRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.TeacherAuthMusicianRecord;
import com.yonge.cooleshow.biz.dal.vo.MusicianAuthEntryRecordVo;
import org.apache.ibatis.annotations.Param;

public interface TeacherAuthMusicianRecordDao extends BaseMapper<TeacherAuthMusicianRecord>{
	/***
	 * 审批详情
	 * @author liweifan
	 * @param: id
	 * @updateTime 2022/3/22 19:58
	 * @return: com.yonge.cooleshow.biz.dal.vo.MusicianAuthEntryRecordVo
	 */
	MusicianAuthEntryRecordVo detail(@Param("id") Long id);
	/***
	 * 音乐人审批页面查询
	 * @author liweifan
	 * @param: page
	 * @param: authEntryRecordSearch
	 * @updateTime 2022/3/22 19:58
	 * @return: java.util.List<com.yonge.cooleshow.biz.dal.vo.MusicianAuthEntryRecordVo>
	 */
	List<MusicianAuthEntryRecordVo> selectPage(@Param("page")IPage page,@Param("param") AuthEntryRecordSearch authEntryRecordSearch);

    TeacherAuthMusicianRecord getLastRecordByUserId(@Param("userId") Long userId);
}