package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.TeacherTotal;
import com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo;
import com.yonge.cooleshow.biz.dal.dto.search.TeacherTotalSearch;


public interface TeacherTotalDao extends BaseMapper<TeacherTotal>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-04-11 16:30:25
     * @return: com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo
	 */
	TeacherTotalVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-04-11 16:30:25
     * @return: com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo
	 */
	List<TeacherTotalVo> selectPage(@Param("page") IPage page, @Param("param") TeacherTotalSearch teacherTotal);

    void save(@Param("teacherTotal") TeacherTotal teacherTotal);
}