package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @description: 用户基本信息
* @author zx
* @date 2022/3/22 13:51
*/
@Data
public class BasicUserInfo {
    @ApiModelProperty(value = "用户编号", required = true)
    private Long userId;

    @ApiModelProperty(value = "sys_user表username_", required = true)
    private String username;

    @ApiModelProperty(value = "sys_user表real_name_", required = true)
    private String realName;

    @ApiModelProperty(value = "用户头像", required = true)
    private String avatar;

    @ApiModelProperty("IM用户ID")
    private String imUserId;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("性别")
    private Integer gender;

    @ApiModelProperty("生日")
    private Date birthdate;
}
