package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-31
 */
@ApiModel("课程作业相关信息查询")
public class CourseScheduleHomeworkSearch  extends QueryInfo {


    @ApiModelProperty(value = "课程id",required = true)
    @NotNull(message = "课程id不能为空")
    private Long courseId;

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }
}
