package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.CourseScheduleStudentMusicSheet;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CourseScheduleStudentMusicSheetResult extends CourseScheduleStudentMusicSheet {
    @ApiModelProperty(value = "原音")
    private String mp3Url;

    @ApiModelProperty(value = "伴奏")
    private String url;

    @ApiModelProperty(value = "曲目名")
    private String musicScoreName;

    @ApiModelProperty(value = "伴奏音量")
    private Integer soundVolume = 100;

    @ApiModelProperty("是否支持混音节拍器")
    private Boolean isMixBeat;

    @ApiModelProperty("五线谱PDF文件")
    private String musicPdfUrl;

    @ApiModelProperty("首调PDF文件")
    private String firstPdfUrl;

    @ApiModelProperty("固定调PDF文件")
    private String jianPdfUrl;
}
