package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImNetworkCustomMessage{
    @ApiModelProperty(value = "学员编号列表，逗号分割",required = true)
    private String userId;

    @ApiModelProperty(value = "当前用户")
    private String currentUserId;

    @ApiModelProperty(value = "房间号",required = true)
    private String roomId;

    @ApiModelProperty("客户端类型")
    private ClientEnum clientType;

    @ApiModelProperty("服务提供方")
    private String serviceProvider;

    @ApiModelProperty("消息内容JSON")
    private String content;
}
