package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.biz.dal.enums.ImNetworkDisplayEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImNetworkDisplayDataDto {

	@ApiModelProperty(value = "房间号",required = true)
    private String roomId;

	@ApiModelProperty(value = "类型",required = true)
    private ImNetworkDisplayEnum type;

	@ApiModelProperty(value = "即将展示的对应人的 userId",required = true)
    private String userId;

	private String teacherId;

	@ApiModelProperty(value = "display uri",required = true)
    private String uri;

	@ApiModelProperty("客户端类型 ")
	private ClientEnum clientType;

	@Override
	public String toString() {
		return "ImNetworkDisplayDataDto{" +
				"roomId='" + roomId + '\'' +
				", type=" + type +
				", userId='" + userId + '\'' +
				", uri='" + uri + '\'' +
				'}';
	}
}
