package com.yonge.cooleshow.biz.dal.dto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 网络教室成员(ImNetworkRoomMember)表实体类
 *
 * @author zx
 * @since 2022-03-30 16:36:37
 */
@Data
@ApiModel(value = "im_network_room_member-网络教室成员")
public class ImNetworkRoomMemberResult implements Serializable {
    @ApiModelProperty(value = "主键;")
    private Long id;

    @ApiModelProperty(value = "房间号")
    private String roomId;

    @ApiModelProperty(value = "转换后的第三方用户编号")
    private String userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户头像")
    private String headUrl;

    @ApiModelProperty(value = "进入时间;")
    private Long joinTime;

    @ApiModelProperty(value = "角色0学员1老师;")
    private Integer role;

    @ApiModelProperty(value = "是否开启摄像头;")
    private boolean camera;

    @ApiModelProperty(value = "是否开启麦克风")
    private boolean microphone;

    @ApiModelProperty(value = "是否开启音乐模式")
    private boolean musicModeOn;

    @ApiModelProperty(value = "是否举手")
    private boolean handUpOn;

    @ApiModelProperty(value = "当前用户伴奏信息")
    private List<CourseScheduleStudentMusicSheetResult> scheduleStudentMusicScores;
}

