package com.yonge.cooleshow.biz.dal.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;

@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
public class MusicSheetAccompanimentResult extends BaseEntity {

    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @ApiModelProperty(value = "曲谱ID")
    private Long examSongId;  //曲谱ID

    @ApiModelProperty(value = "声部")
    private String subjectId;  //声部

    @ApiModelProperty(value = "MP3原声音频文件URL")
    private String mp3Url;  //MP3原声音频文件URL

	@ApiModelProperty(value = "MP3节拍器伴奏")
	private String metronomeMp3Url;  //MP3原声音频文件URL

	@ApiModelProperty(value = "类型")
	private String track;  //MP3原声音频文件URL

    @ApiModelProperty(value = "排序号")
    private Integer sortNumber;  //排序号

    @ApiModelProperty(value = "速度")
    private Integer speed;  //速度

    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;  //创建时间

    @ApiModelProperty(value = "创建人(老师或者是后台平台用户)")
    private Long createBy;  //创建人(老师或者是后台平台用户)

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}