package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

//趣纠课可选单课时时长配置
@Data
public class PracticeTimesSetting {

    @NotNull(message = "课间休息分钟数不可为空")
    @ApiModelProperty(value = "课间休息分钟数")
    private Integer freeMinutes;

    @NotNull(message = "单课时分钟数不可为空")
    @ApiModelProperty(value = "单课时分钟数")
    private Integer courseMinutes;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "课程类型")
    private String courseType = "PRACTICE";
}
