package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityEvaluationSearch对象", description = "评测活动表查询对象")
public class ActivityEvaluationSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "活动id",required = true)
	@NotNull(message = "活动id不能为空")
	private Long activityId;

	public Long getActivityId() {
		return activityId;
	}

	public void setActivityId(Long activityId) {
		this.activityId = activityId;
	}
}