package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.yonge.cooleshow.common.enums.ECooperateTenantNature;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 合作机构
 * 2023-11-06 14:18:23
 */
@Data
@ApiModel(" CooperateTenant-合作机构")
@TableName("cooperate_tenant")
public class CooperateTenant implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("合作机构名称")
    @TableField(value = "cooperate_tenant_name_")
    private String cooperateTenantName;

    @ApiModelProperty("合作机构性质")
    @TableField(value = "cooperate_tenant_nature_")
    private ECooperateTenantNature cooperateTenantNature;

    @ApiModelProperty("联系人")
    @TableField(value = "contacts_")
    private String contacts;

    @ApiModelProperty("手机号")
    @TableField(value = "phone_")
    private String phone;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time_")
    private Date updateTime;

}