package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 分账归还记录
 * 2023-10-18 10:59:05
 */
@Data
@ApiModel(" DivBackRecord-分账归还记录")
@TableName("div_back_record")
public class DivBackRecord implements Serializable {

    @ApiModelProperty("主键") 
	    @TableId(value = "id_",type = IdType.AUTO)
	    private Long id;


    @ApiModelProperty("支付三方")
    @TableField(value = "payment_vendor_")
    private String  paymentVendor;

    @ApiModelProperty("分账记录ID") 
	@TableField(value = "payment_div_member_record_id_")
    private Long paymentDivMemberRecordId;

    @ApiModelProperty("分账归还订单号") 
	@TableField(value = "divide_back_order_no_")
    private String divideBackOrderNo;

    @ApiModelProperty("分账归还三方号") 
	@TableField(value = "divide_back_trans_no_")
    private String divideBackTransNo;

    @ApiModelProperty("分账归还状态") 
	@TableField(value = "status_")
    private String status;

    @ApiModelProperty("失败原因") 
	@TableField(value = "reason_")
    private String reason;

    @ApiModelProperty("尝试次数")
    @TableField(value = "times_")
    private Integer times;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

}