package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * (RongyunHereWhite)表实体类
 *
 * @author zx
 * @since 2022-06-13 18:16:23
 */
@Data
@ApiModel(value = "im_network_here_white")
public class ImNetworkHereWhite implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "白板id，")
    private Integer id;

    @TableField("course_schedule_id_")
    @ApiModelProperty(value = "对应课程编号")
    private Long courseScheduleId;

    @TableField("name_")
    @ApiModelProperty(value = "白板名称")
    private String name;

    @TableField("limit_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer limit;

    @TableField("team_id_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer teamId;

    @TableField("admin_id_")
    @ApiModelProperty(value = "${column.comment}")
    private Integer adminId;

    @TableField("mode_")
    @ApiModelProperty(value = "${column.comment}")
    private String mode;

    @TableField("template_")
    @ApiModelProperty(value = "${column.comment}")
    private String template;

    @TableField("region_")
    @ApiModelProperty(value = "${column.comment}")
    private String region;

    @TableField("room_token_")
    @ApiModelProperty(value = "${column.comment}")
    private String roomToken;

    @TableField("uuid_")
    @ApiModelProperty(value = "${column.comment}")
    private String uuid;

    @TableField("updated_at_")
    @ApiModelProperty(value = "${column.comment}")
    private Date updatedAt;

    @TableField("created_at_")
    @ApiModelProperty(value = "${column.comment}")
    private Date createdAt;

    @TableField("random_numeric22_")
    private String randomNumeric22;

    @TableField("random_numeric20_")
    private String randomNumeric20;


}

