package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 直播房间数据表
 * 2023-08-15 15:50:17
 */
@Data
@ApiModel(" LiveBroadcastRoomData-直播房间数据表")
@TableName("live_broadcast_room_data")
public class LiveBroadcastRoomData implements Serializable {

    @ApiModelProperty("主键") 
	    @TableId(value = "id_", type = IdType.AUTO)
        private Integer id;

    @ApiModelProperty("房间uid") 
	@TableField(value = "room_uid_")
    private String roomUid;

    @ApiModelProperty("直播时长") 
	@TableField(value = "live_time_")
    private Integer liveTime;

    @ApiModelProperty("累计点赞数") 
	@TableField(value = "like_num_")
    private Integer likeNum;

    @ApiModelProperty("即时观看人员数") 
	@TableField(value = "look_user_num_")
    private Integer lookUserNum;

    @ApiModelProperty("累计观看总人员数") 
	@TableField(value = "total_user_num_")
    private Integer totalUserNum;

    @ApiModelProperty("更新时间") 
	@TableField(value = "updated_time_")
    private Date updatedTime;

}