package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 分账子账户配置
 * 2023-07-28 16:53:51
 */
@Data
@ApiModel(" PaymentDivMember-分账子账户配置")
@TableName("payment_div_member")
public class PaymentDivMember implements Serializable {

    @ApiModelProperty("主键") 

    @TableId(value = "id_", type = IdType.AUTO)
	    private Long id;

    @ApiModelProperty("机构ID") 
	@TableField(value = "tenant_id_")
    private Long tenantId;

    @ApiModelProperty("商户ID") 
	@TableField(value = "app_id_")
    private String appId;

    @ApiModelProperty("分账用户ID") 
	@TableField(value = "member_id_")
    private String memberId;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

}