package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 平台建议类型表
 * 2023-08-30 11:26:33
 */
@Data
@ApiModel(" SysSuggestionType-平台建议类型表")
@TableName("sys_suggestion_type")
public class SysSuggestionType implements Serializable {

    @ApiModelProperty("编号")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("名称")
    @TableField(value = "name_")
    private String name;

    @ApiModelProperty("删除标识（0-正常,1-删除）")
    @TableField(value = "del_flag_")
    private Boolean delFlag;

    @ApiModelProperty("创建人")
    @TableField(value = "create_by_")
    private Long createBy;

    @ApiModelProperty("修改人")
    @TableField(value = "update_by_")
    private Long updateBy;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

}
