package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 机构专辑分类详情
 * 2023-10-10 10:17:38
 */
@Data
@ApiModel(" TenantAlbumCategoryDetail-机构专辑分类详情")
@TableName("tenant_album_category_detail")
public class TenantAlbumCategoryDetail implements Serializable {

    @ApiModelProperty("主键ID")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("机构专辑分类ID")
    @TableField(value = "tenant_album_category_id_")
    private Long tenantAlbumCategoryId;

    @ApiModelProperty("级别/类别")
    @TableField(value = "value_")
    private String value;

}