package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 用户曲目作品点赞记录
 * 2023-10-30 14:59:53
 */
@Data
@ApiModel(" UserMusicStar-用户曲目作品点赞记录")
@TableName("user_music_star")
public class UserMusicStar implements Serializable {

	    @TableId(value = "id_",type = IdType.AUTO)
	    private Long id;

    @ApiModelProperty("用户ID")
	@TableField(value = "user_id_")
    private Long userId;

    @ApiModelProperty("用户类型")
	@TableField(value = "client_type_")
    private ClientEnum clientType;

    @ApiModelProperty("发布作品ID")
	@TableField(value = "user_music_id_")
    private Long userMusicId;

    @ApiModelProperty("创建时间")
	@TableField(value = "create_time_")
    private Date createTime;

}
