package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 曲目音频类型 1：mp3,2:midi,3:mp3_metronome
 *
 * @author liujunchi
 * @date 2022-04-01
 */
public enum AccompanimentTypeEnum implements BaseEnum<String, AccompanimentTypeEnum> {


    HOMEMODE("HOMEMODE"), // 自制
    COMMON("COMMON"), //普通
     ;
    @EnumValue
    private String code;
    private String msg;

    AccompanimentTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
