package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.CooperateTenant;
import com.yonge.cooleshow.biz.dal.wrapper.CooperateTenantWrapper;

/**
 * 合作机构
 * 2023-11-06 14:05:19
 */
@Repository
public interface CooperateTenantMapper extends BaseMapper<CooperateTenant> {

    /**
     * 分页查询
     * @param page IPage<CooperateTenantWrapper.CooperateTenant>
     * @param param CooperateTenantWrapper.CooperateTenantQuery
     * @return List<CooperateTenantWrapper.CooperateTenant>
     */
    List<CooperateTenant> selectPage(@Param("page") IPage<CooperateTenant> page, @Param("param") CooperateTenantWrapper.CooperateTenantQuery param);

}