package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.CustomerServiceBatchSending;
import com.yonge.cooleshow.biz.dal.wrapper.im.CustomerService;
import com.yonge.cooleshow.biz.dal.wrapper.im.CustomerServiceBatchSendingWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客服群发
 * 2022-12-09 10:49:10
 */
public interface CustomerServiceBatchSendingMapper extends BaseMapper<CustomerServiceBatchSending> {

	/**
	 * 分页查询
	 * @param page IPage<CustomerServiceBatchSendingWrapper.CustomerServiceBatchSending>
	 * @param param CustomerServiceBatchSendingWrapper.CustomerServiceBatchSendingQuery
	 * @return List<CustomerServiceBatchSendingWrapper.CustomerServiceBatchSending>
	 */
	List<CustomerServiceBatchSendingWrapper.CustomerServiceBatchSending> selectPage(@Param("page") IPage<CustomerServiceBatchSendingWrapper.CustomerServiceBatchSending> page,
																					@Param("param") CustomerServiceBatchSendingWrapper.CustomerServiceBatchSendingQuery param);

	/**
	 * 客服消息接收者
	 * @param message 客服消息
	 * @return List<CustomerService.MessageReceives>
	 */
	List<CustomerService.MessageReceives> selectMessageReceives(@Param("page") IPage<CustomerService.MessageReceives> page,
																@Param("param") CustomerService.NotifyMessage message);

	
}