package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.CustomerServiceReceive;
import com.yonge.cooleshow.biz.dal.wrapper.im.CustomerServiceReceiveWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客服群发接收
 * 2022-12-09 10:49:10
 */
public interface CustomerServiceReceiveMapper extends BaseMapper<CustomerServiceReceive> {

	/**
	 * 分页查询
	 * @param page IPage<CustomerServiceReceiveWrapper.CustomerServiceReceive>
	 * @param param CustomerServiceReceiveWrapper.CustomerServiceReceiveQuery
	 * @return List<CustomerServiceReceiveWrapper.CustomerServiceReceive>
	 */
	List<CustomerServiceReceiveWrapper.CustomerServiceReceive> selectPage(@Param("page") IPage<CustomerServiceReceiveWrapper.CustomerServiceReceive> page, @Param("param") CustomerServiceReceiveWrapper.CustomerServiceReceiveQuery param);
	
}