package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.DivBackRecord;
import com.yonge.cooleshow.biz.dal.wrapper.DivBackRecordWrapper;

/**
 * 分账归还记录
 * 2023-10-18 10:59:05
 */
@Repository
public interface DivBackRecordMapper extends BaseMapper<DivBackRecord> {

	/**
	 * 分页查询
	 * @param page IPage<DivBackRecordWrapper.DivBackRecord>
	 * @param param DivBackRecordWrapper.DivBackRecordQuery
	 * @return List<DivBackRecordWrapper.DivBackRecord>
	 */
	List<DivBackRecord> selectPage(@Param("page") IPage<DivBackRecord> page, @Param("param") DivBackRecordWrapper.DivBackRecordQuery param);
	
}