package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.FileImportInfo;
import com.yonge.cooleshow.biz.dal.wrapper.FileImportInfoWrapper;

/**
 * 文件数据导入
 * 2023-09-19 19:47:50
 */
@Repository
public interface FileImportInfoMapper extends BaseMapper<FileImportInfo> {

	/**
	 * 分页查询
	 * @param page IPage<FileImportInfoWrapper.FileImportInfo>
	 * @param param FileImportInfoWrapper.FileImportInfoQuery
	 * @return List<FileImportInfoWrapper.FileImportInfo>
	 */
	List<FileImportInfo> selectPage(@Param("page") IPage<FileImportInfo> page, @Param("param") FileImportInfoWrapper.FileImportInfoQuery param);
	
}