package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.LiveBroadcastRoomData;
import com.yonge.cooleshow.biz.dal.wrapper.liveroom.LiveBroadcastRoomDataWrapper;

/**
 * 直播房间数据表
 * 2023-08-15 15:50:17
 */
@Repository
public interface LiveBroadcastRoomDataMapper extends BaseMapper<LiveBroadcastRoomData> {

	/**
	 * 分页查询
	 * @param page IPage<LiveBroadcastRoomDataWrapper.LiveBroadcastRoomData>
	 * @param param LiveBroadcastRoomDataWrapper.LiveBroadcastRoomDataQuery
	 * @return List<LiveBroadcastRoomDataWrapper.LiveBroadcastRoomData>
	 */
	List<LiveBroadcastRoomData> selectPage(@Param("page") IPage<LiveBroadcastRoomData> page, @Param("param") LiveBroadcastRoomDataWrapper.LiveBroadcastRoomDataQuery param);
	
}