package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.PaymentDivMember;
import com.yonge.cooleshow.biz.dal.wrapper.PaymentDivMemberWrapper;

/**
 * 分账子账户配置
 * 2023-07-28 16:53:51
 */
@Repository
public interface PaymentDivMemberMapper extends BaseMapper<PaymentDivMember> {

	/**
	 * 分页查询
	 * @param page IPage<PaymentDivMemberWrapper.PaymentDivMember>
	 * @param param PaymentDivMemberWrapper.PaymentDivMemberQuery
	 * @return List<PaymentDivMemberWrapper.PaymentDivMember>
	 */
	List<PaymentDivMember> selectPage(@Param("page") IPage<PaymentDivMember> page, @Param("param") PaymentDivMemberWrapper.PaymentDivMemberQuery param);
	
}