package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.SysGoodsPrice;
import com.yonge.cooleshow.biz.dal.wrapper.SysGoodsPriceWrapper;

/**
 * 商品价格设置
 * 2023-07-21 17:32:49
 */
@Repository
public interface SysGoodsPriceMapper extends BaseMapper<SysGoodsPrice> {

	/**
	 * 分页查询
	 * @param page IPage<SysGoodsPriceWrapper.SysGoodsPrice>
	 * @param param SysGoodsPriceWrapper.SysGoodsPriceQuery
	 * @return List<SysGoodsPriceWrapper.SysGoodsPrice>
	 */
	List<SysGoodsPrice> selectPage(@Param("page") IPage<SysGoodsPrice> page, @Param("param") SysGoodsPriceWrapper.SysGoodsPriceQuery param);
	
}