package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantAccountRecord;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAccountRecordWrapper;

/**
 * 机构流水表
 * 2023-07-31 13:47:30
 */
@Repository
public interface TenantAccountRecordMapper extends BaseMapper<TenantAccountRecord> {

	/**
	 * 分页查询
	 * @param page IPage<TenantAccountRecordWrapper.TenantAccountRecord>
	 * @param param TenantAccountRecordWrapper.TenantAccountRecordQuery
	 * @return List<TenantAccountRecordWrapper.TenantAccountRecord>
	 */
	List<TenantAccountRecordWrapper.TenantAccountRecord> selectPage(@Param("page") IPage<TenantAccountRecordWrapper.TenantAccountRecord> page,
                                                                    @Param("param") TenantAccountRecordWrapper.TenantAccountRecordQuery param);

    TenantAccountRecordWrapper.TenantAccountRecordStat getStatistics(@Param("param") TenantAccountRecordWrapper.TenantAccountRecordQuery query);
}