package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantActivationCode;
import com.yonge.cooleshow.biz.dal.wrapper.TenantActivationCodeWrapper;

/**
 * 机构激活码
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantActivationCodeMapper extends BaseMapper<TenantActivationCode> {

    /**
     * 分页查询
     *
     * @param page  IPage<TenantActivationCodeWrapper.TenantActivationCode>
     * @param param TenantActivationCodeWrapper.TenantActivationCodeQuery
     * @return List<TenantActivationCodeWrapper.TenantActivationCode>
     */
    List<TenantActivationCodeWrapper.TenantActivationCode> selectPage(@Param("page") IPage<TenantActivationCodeWrapper.TenantActivationCode> page, @Param("param") TenantActivationCodeWrapper.TenantActivationCodeQuery param);

}