package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbumCategoryDetail;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumCategoryDetailWrapper;

/**
 * 机构专辑分类详情
 * 2023-10-10 10:17:38
 */
@Repository
public interface TenantAlbumCategoryDetailMapper extends BaseMapper<TenantAlbumCategoryDetail> {

    /**
     * 分页查询
     * @param page IPage<TenantAlbumCategoryDetailWrapper.TenantAlbumCategoryDetail>
     * @param param TenantAlbumCategoryDetailWrapper.TenantAlbumCategoryDetailQuery
     * @return List<TenantAlbumCategoryDetailWrapper.TenantAlbumCategoryDetail>
     */
    List<TenantAlbumCategoryDetail> selectPage(@Param("page") IPage<TenantAlbumCategoryDetail> page, @Param("param") TenantAlbumCategoryDetailWrapper.TenantAlbumCategoryDetailQuery param);

}