package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbumPurchase;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumPurchaseWrapper;

/**
 * 机构专辑采购
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantAlbumPurchaseMapper extends BaseMapper<TenantAlbumPurchase> {

    /**
     * 分页查询
     *
     * @param page  IPage<TenantAlbumPurchaseWrapper.TenantAlbumPurchase>
     * @param param TenantAlbumPurchaseWrapper.TenantAlbumPurchaseQuery
     * @return List<TenantAlbumPurchaseWrapper.TenantAlbumPurchase>
     */
    List<TenantAlbumPurchaseWrapper.TenantAlbumPurchase> selectPage(@Param("page") IPage<TenantAlbumPurchaseWrapper.TenantAlbumPurchase> page,
                                                                    @Param("param") TenantAlbumPurchaseWrapper.TenantAlbumPurchaseQuery param);

}