package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantEntryRecord;
import com.yonge.cooleshow.biz.dal.wrapper.TenantEntryRecordWrapper;

/**
 * 机构入驻审核记录
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantEntryRecordMapper extends BaseMapper<TenantEntryRecord> {

	/**
	 * 分页查询
	 * @param page IPage<TenantEntryRecordWrapper.TenantEntryRecord>
	 * @param param TenantEntryRecordWrapper.TenantEntryRecordQuery
	 * @return List<TenantEntryRecordWrapper.TenantEntryRecord>
	 */
	List<TenantEntryRecord> selectPage(@Param("page") IPage<TenantEntryRecord> page, @Param("param") TenantEntryRecordWrapper.TenantEntryRecordQuery param);

    String selectName(@Param("verifyUserId") Long verifyUserId);
}