package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantGroup;
import com.yonge.cooleshow.biz.dal.wrapper.TenantGroupWrapper;

/**
 * 机构小组表
 * 2023-10-11 09:24:50
 */
@Repository
public interface TenantGroupMapper extends BaseMapper<TenantGroup> {

    /**
     * 分页查询
     * @param page IPage<TenantGroupWrapper.TenantGroup>
     * @param param TenantGroupWrapper.TenantGroupQuery
     * @return List<TenantGroupWrapper.TenantGroup>
     */
    List<TenantGroupWrapper.TenantGroup> selectPage(@Param("page") IPage<TenantGroupWrapper.TenantGroup> page,
                                                    @Param("param") TenantGroupWrapper.TenantGroupQuery param);

}