package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantUnbindHistory;
import com.yonge.cooleshow.biz.dal.wrapper.TenantUnbindHistoryWrapper;

/**
 * 机构解绑历史表
 * 2023-08-18 18:00:10
 */
@Repository
public interface TenantUnbindHistoryMapper extends BaseMapper<TenantUnbindHistory> {

    /**
     * 分页查询
     * @param page IPage<TenantUnbindHistoryWrapper.TenantUnbindHistory>
     * @param param TenantUnbindHistoryWrapper.TenantUnbindHistoryQuery
     * @return List<TenantUnbindHistoryWrapper.TenantUnbindHistory>
     */
    List<TenantUnbindHistory> selectPage(@Param("page") IPage<TenantUnbindHistory> page, @Param("param") TenantUnbindHistoryWrapper.TenantUnbindHistoryQuery param);

}