package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantUnbindRecord;
import com.yonge.cooleshow.biz.dal.wrapper.TenantUnbindRecordWrapper;

/**
 * 机构解绑申请记录
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantUnbindRecordMapper extends BaseMapper<TenantUnbindRecord> {

    /**
     * 分页查询
     *
     * @param page  IPage<TenantUnbindRecordWrapper.TenantUnbindRecord>
     * @param param TenantUnbindRecordWrapper.TenantUnbindRecordQuery
     * @return List<TenantUnbindRecordWrapper.TenantUnbindRecord>
     */
    List<TenantUnbindRecordWrapper.TenantUnbindRecord> selectPage(@Param("page") IPage<TenantUnbindRecordWrapper.TenantUnbindRecord> page,
                                                                  @Param("param") TenantUnbindRecordWrapper.TenantUnbindRecordQuery param);

    List<TenantUnbindRecord> getRecord(@Param("tenantId") Long tenantId, @Param("userId") Long userId,
                                 @Param("userType") String userType);
}