package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.UserMusic;
import com.yonge.cooleshow.biz.dal.wrapper.UserMusicWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户曲目作品
 * 2023-09-05 15:27:10
 */
@Repository
public interface UserMusicMapper extends BaseMapper<UserMusic> {

	/**
	 * 分页查询
	 * @param page IPage<UserMusicWrapper.UserMusic>
	 * @param param UserMusicWrapper.UserMusicQuery
	 * @return List<UserMusicWrapper.UserMusic>
	 */
	List<UserMusicWrapper.UserMusic> selectPage(@Param("page") IPage<UserMusicWrapper.UserMusic> page, @Param("param") UserMusicWrapper.UserMusicQuery param);

    void updateStar(@Param("userMusicId") Long userMusicId);


    void workOverdue(@Param("time") Integer time);
}
