package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.UserTenantBindRecord;
import com.yonge.cooleshow.biz.dal.wrapper.UserTenantBindRecordWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户机构绑定解绑记录
 * 2023-12-04 15:30:02
 */
@Repository
public interface UserTenantBindRecordMapper extends BaseMapper<UserTenantBindRecord> {

    /**
     * 分页查询
     * @param page IPage<UserTenantBindRecordWrapper.UserTenantBindRecord>
     * @param param UserTenantBindRecordWrapper.UserTenantBindRecordQuery
     * @return List<UserTenantBindRecordWrapper.UserTenantBindRecord>
     */
    List<UserTenantBindRecordWrapper.UserTenantBindRecord> selectPage(@Param("page") IPage<UserTenantBindRecordWrapper.UserTenantBindRecord> page,
                                                                      @Param("param") UserTenantBindRecordWrapper.UserTenantBindRecordQuery param);

    void add(@Param("record") UserTenantBindRecord record);
}