package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.AuditReasonVo;
import com.yonge.cooleshow.biz.dal.dto.search.AuditReasonSearch;
import com.yonge.cooleshow.biz.dal.entity.AuditReason;

/**
 * 审核原因表 服务类
 * @author liweifan
 * @date 2022-08-12
 */
public interface AuditReasonService extends IService<AuditReason>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-08-12
     */
	AuditReasonVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-08-12
     */
    IPage<AuditReasonVo> selectPage(IPage<AuditReasonVo> page, AuditReasonSearch query);

	boolean del(Long id);
}