package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.CourseScheduleRepliedVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseScheduleRepliedSearch;
import com.yonge.cooleshow.biz.dal.entity.CourseScheduleReplied;

/**
 * 课程点评 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface CourseScheduleRepliedService extends IService<CourseScheduleReplied>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	CourseScheduleRepliedVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<CourseScheduleRepliedVo> selectPage(IPage<CourseScheduleRepliedVo> page, CourseScheduleRepliedSearch query);
}