package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.CustomerServiceReceive;
import com.yonge.cooleshow.biz.dal.wrapper.im.CustomerServiceReceiveWrapper;

/**
 * 客服群发接收
 * 2022-12-09 10:49:10
 */
public interface CustomerServiceReceiveService extends IService<CustomerServiceReceive>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return CustomerServiceReceive
     */
	CustomerServiceReceive detail(Long id);

    /**
     * 分页查询
     * @param page IPage<CustomerServiceReceiveWrapper.CustomerServiceReceive>
     * @param query CustomerServiceReceiveWrapper.CustomerServiceReceiveQuery
     * @return IPage<CustomerServiceReceiveWrapper.CustomerServiceReceive>
     */
    IPage<CustomerServiceReceiveWrapper.CustomerServiceReceive> selectPage(IPage<CustomerServiceReceiveWrapper.CustomerServiceReceive> page, CustomerServiceReceiveWrapper.CustomerServiceReceiveQuery query);
	
    /**
     * 添加
     * @param customerServiceReceive CustomerServiceReceiveWrapper.CustomerServiceReceive
     * @return Boolean
     */
     Boolean add(CustomerServiceReceiveWrapper.CustomerServiceReceive customerServiceReceive);   

    /**
     * 更新
     * @param customerServiceReceive CustomerServiceReceiveWrapper.CustomerServiceReceive
     * @return Boolean
     */
     Boolean update(CustomerServiceReceiveWrapper.CustomerServiceReceive customerServiceReceive);
     
}