package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dto.ImNetworkMetronomeMessage;
import com.yonge.cooleshow.biz.dal.dto.ImNetworkRoomMusicSheetDownloadData;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoomMember;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoomMemberStatus;

/**
 * 网络教室成员状态表
 * 2023-08-14 15:47:02
 */
public interface ImNetworkRoomMemberStatusService extends IService<ImNetworkRoomMemberStatus>  {

    void add(String roomId);

    //获取网络教室成员midi
    ImNetworkMetronomeMessage getMemberMidi(String roomId);

    //获取伴奏信息
    ImNetworkRoomMusicSheetDownloadData getMemberExamSong(String roomId);
}