package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.ReturnVisitVo;
import com.yonge.cooleshow.biz.dal.dto.search.ReturnVisitSearch;
import com.yonge.cooleshow.biz.dal.entity.ReturnVisit;

/**
 * 回访表 服务类
 * @author liweifan
 * @date 2022-11-08
 */
public interface ReturnVisitService extends IService<ReturnVisit>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-11-08
     */
	ReturnVisitVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-11-08
     */
    IPage<ReturnVisitVo> selectPage(IPage<ReturnVisitVo> page, ReturnVisitSearch query);
}