package com.yonge.cooleshow.biz.dal.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestionType;
import com.yonge.cooleshow.biz.dal.wrapper.SysSuggestionTypeWrapper;

/**
 * 平台建议类型表
 * 2023-08-30 11:26:33
 */
public interface SysSuggestionTypeService extends IService<SysSuggestionType> {

    /**
     * 查询详情
     * @param id 详情ID
     * @return SysSuggestionType
     */
    SysSuggestionType detail(Long id);

    /**
     * 分页查询
     * @param page IPage<SysSuggestionType>
     * @param query SysSuggestionTypeWrapper.SysSuggestionTypeQuery
     * @return IPage<SysSuggestionType>
     */
    IPage<SysSuggestionType> selectPage(IPage<SysSuggestionType> page, SysSuggestionTypeWrapper.SysSuggestionTypeQuery query);

    /**
     * 添加
     * @param sysSuggestionType SysSuggestionTypeWrapper.SysSuggestionType
     * @return Boolean
     */
    Boolean add(SysSuggestionTypeWrapper.SysSuggestionType sysSuggestionType);

    /**
     * 更新
     * @param sysSuggestionType SysSuggestionTypeWrapper.SysSuggestionType
     * @return Boolean
     */
    Boolean update(SysSuggestionTypeWrapper.SysSuggestionType sysSuggestionType);

}
