package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.wrapper.TenantTeacherAccountRecordWrapper;
import com.yonge.cooleshow.biz.dal.entity.TenantTeacherAccountRecord;

/**
 * 机构老师流水表
 * 2023-10-09 17:39:42
 */
public interface TenantTeacherAccountRecordService extends IService<TenantTeacherAccountRecord>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return TenantTeacherAccountRecord
     */
	TenantTeacherAccountRecord detail(Long id);

    /**
     * 分页查询
     * @param page IPage<TenantTeacherAccountRecord>
     * @param query TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecordQuery
     * @return IPage<TenantTeacherAccountRecord>
     */
    IPage<TenantTeacherAccountRecord> selectPage(IPage<TenantTeacherAccountRecord> page, TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecordQuery query);
	
    /**
     * 添加
     * @param tenantTeacherAccountRecord TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecord
     * @return Boolean
     */
     Boolean add(TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecord tenantTeacherAccountRecord);   

    /**
     * 更新
     * @param tenantTeacherAccountRecord TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecord
     * @return Boolean
     */
     Boolean update(TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecord tenantTeacherAccountRecord);
     
}