package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.CourseScheduleReplied;
import com.yonge.cooleshow.biz.dal.vo.CourseScheduleRepliedVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseScheduleRepliedSearch;
import com.yonge.cooleshow.biz.dal.dao.CourseScheduleRepliedDao;
import com.yonge.cooleshow.biz.dal.service.CourseScheduleRepliedService;


@Service
public class CourseScheduleRepliedServiceImpl extends ServiceImpl<CourseScheduleRepliedDao, CourseScheduleReplied> implements CourseScheduleRepliedService {

	@Override
    public CourseScheduleRepliedVo detail(Long id) {
        CourseScheduleRepliedVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<CourseScheduleRepliedVo> selectPage(IPage<CourseScheduleRepliedVo> page, CourseScheduleRepliedSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}