package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yonge.cooleshow.biz.dal.dao.CourseScheduleTeacherSalaryDao;
import com.yonge.cooleshow.biz.dal.entity.CourseScheduleTeacherSalary;
import com.yonge.cooleshow.biz.dal.service.CourseScheduleTeacherSalaryService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 老师课酬表(CourseScheduleTeacherSalary)表服务实现类
 *
 * @author zx
 * @since 2022-03-23 16:01:11
 */
@Service("courseScheduleTeacherSalaryService")
public class CourseScheduleTeacherSalaryServiceImpl extends ServiceImpl<CourseScheduleTeacherSalaryDao, CourseScheduleTeacherSalary> implements CourseScheduleTeacherSalaryService {

    private final static Logger log = LoggerFactory.getLogger(CourseScheduleTeacherSalaryServiceImpl.class);

    @Override
    public CourseScheduleTeacherSalaryDao getDao() {
        return this.baseMapper;
    }

}

