package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dao.PracticeDao;
import com.yonge.cooleshow.biz.dal.dto.search.PracticeSearch;
import com.yonge.cooleshow.biz.dal.service.PracticeService;
import com.yonge.cooleshow.biz.dal.vo.PracticeVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author: cy
 * @date: 2022/4/14 15:04
 */
@Service
public class PracticeServiceImpl implements PracticeService {
    @Autowired
    private PracticeDao practiceDao;

    @Override
    public IPage<PracticeVo> selectTeacherPactice(IPage<PracticeVo> page, PracticeSearch search) {
        return page.setRecords(practiceDao.selectTeacherPactice(page, search));
    }

    @Override
    public IPage<PracticeVo> selectStudentPactice(IPage<PracticeVo> page, PracticeSearch search) {
        return page.setRecords(practiceDao.selectStudentPactice(page, search));
    }
}
