package com.yonge.cooleshow.biz.dal.service.impl;

import com.yonge.toolset.mybatis.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yonge.cooleshow.biz.dal.dao.SysMessageConfigDao;
import com.yonge.cooleshow.biz.dal.entity.SysMessageConfig;
import com.yonge.cooleshow.biz.dal.enums.MessageTypeEnum;
import com.yonge.cooleshow.biz.dal.service.SysMessageConfigService;
import com.yonge.toolset.mybatis.dal.BaseDAO;

@Service
public class SysMessageConfigServiceImpl extends BaseServiceImpl<Long, SysMessageConfig> implements SysMessageConfigService {
	
	@Autowired
	private SysMessageConfigDao sysMessageConfigDao;

	@Override
	public BaseDAO<Long, SysMessageConfig> getDAO() {
		return sysMessageConfigDao;
	}

	@Override
	public SysMessageConfig queryByType(String type) {
		return sysMessageConfigDao.queryByType(type);
	}
	
}