package com.yonge.cooleshow.biz.dal.service.impl;

import com.yonge.cooleshow.biz.dal.dao.SysUserTsignDao;
import com.yonge.cooleshow.biz.dal.entity.SysUserTsign;
import com.yonge.cooleshow.biz.dal.service.SysUserTsignService;
import com.yonge.toolset.mybatis.dal.BaseDAO;
import com.yonge.toolset.mybatis.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysUserTsignServiceImpl extends BaseServiceImpl<Long, SysUserTsign> implements SysUserTsignService {
	
	@Autowired
	private SysUserTsignDao sysUserTsignDao;

	@Override
	public BaseDAO<Long, SysUserTsign> getDAO() {
		return sysUserTsignDao;
	}

	@Override
	public SysUserTsign queryByCardNo(String cardNo) {
		return sysUserTsignDao.queryByCardNo(cardNo);
	}
	
}