package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "CourseInfoVo", description = "课程组详情")
public class CourseInfoVo extends CourseGroupVo implements Serializable {

    @ApiModelProperty(value = "true 自己的课,false 其他老师的课程")
    private Boolean myself;

    @ApiModelProperty(value = "是否审核时可见 （0:否  1：是）")
    private YesOrNoEnum auditVersion = YesOrNoEnum.NO;

    @ApiModelProperty("学位认证 0:未认证 1：已认证 ")
    private YesOrNoEnum degreeFlag;

    @ApiModelProperty("教师资格认证 0：未认证 1：已认证 ")
    private YesOrNoEnum teacherFlag;
}
