package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/13
 */
@ApiModel(value = "MyRepliedVo")
@Data
public class MyRepliedVo implements Serializable {
    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程组id")
    private Long courseGroupId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    private String realName;

    @ApiModelProperty(value = "头像地址")
    private String avatar;

    @ApiModelProperty(value = "上课日期")
    private Date classDate;

    @ApiModelProperty(value = "上课时间")
    private Date startTime;

    @ApiModelProperty(value = "下课时间")
    private Date endTime;

    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "评分")
    private String score;

    @ApiModelProperty(value = "学生评价 0:未评价 1:已评价")
    private Integer studentReplied;

    @ApiModelProperty(value = "老师评价 0:未评价 1:已评价")
    private Integer teacherReplied;

    @ApiModelProperty(value = "学生评价内容")
    private String studentRepliedStr;

    @ApiModelProperty("课程组名称")
    private String courseGroupName;
}
