package com.yonge.cooleshow.biz.dal.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 曲谱表
 * 2022-12-07 10:16:58
 */
@ApiModel(value = "ExposureReportWrapper", description = "曝光记录")
public class ExposureRecordWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class SaveExposureRecordDto {
        @ApiModelProperty("分类")
        private String objectType;

        @ApiModelProperty("分类ID")
        private Long objectId;

        @ApiModelProperty("平台")
        private String platform;

        @ApiModelProperty("曝光时间")
        private String exposureTime;
	}

}
