package com.yonge.cooleshow.biz.dal.wrapper;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * OSS 文件模型
 */
@ApiModel(value = "OssFileWrapper对象", description = "文件通用模型")
public class OssFileWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("导出文件的模型")
    public static class ExportFile {

        @ApiModelProperty("文件名称")
        private String fileName;

        @ApiModelProperty("下载地址")
        private String downloadPath;
    }
}
