package com.yonge.cooleshow.biz.dal.wrapper;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 分组统计指标
 * Created by Eric.Shang on 28/7/17.
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StatGroupWrapper implements Serializable {

    private Long id;
    private Integer total;
    private String gid; // 字符串分组ID
    private Double number;

    // 拓展字段信息
    private Long musicNum;
    private Long durationNum;
    private Long frequencyNum;
}
