[#ftl]
package ${table.packageName};

import org.apache.commons.lang3.builder.ToStringBuilder;
import io.swagger.annotations.ApiModelProperty;

/**
 * 对应数据库表(${table.name}):${table.remarks}
 */
public class ${table.className} {

	[#list props as prop]
	[#if prop.remarks??]
	@ApiModelProperty(value = "${prop.remarks}",required = false)
	[/#if]
	private ${prop.javaTypeName} ${prop.propertyName};
	
	[/#list]
	[#list props as prop]
		[#if prop.javaTypeName == 'boolean']
	public ${table.className} set${prop.propertyName?cap_first}(${prop.javaTypeName} ${prop.propertyName}){
		this.${prop.propertyName} = ${prop.propertyName};
		return this;
	}
	
	public boolean is${prop.propertyName?cap_first}(){
		return this.${prop.propertyName};
	}
			
		[#else]
	public ${table.className} set${prop.propertyName?cap_first}(${prop.javaTypeName} ${prop.propertyName}){
		this.${prop.propertyName} = ${prop.propertyName};
		return this;
	}
	
	public ${prop.javaTypeName} get${prop.propertyName?cap_first}(){
		return this.${prop.propertyName};
	}
			
		[/#if]
	[/#list]
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
