package com.yonge.toolset.payment.original.ali.constant;

/**
 *
 * @Author: liweifan
 * @Data: 2022/5/11 16:21
 */
public interface AlipayConstant {
    /***
     * 支付宝-支付网关
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_URL = "ALI_URL";
    /***
     * 支付宝-应用ID
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_APPID = "ALI_APPID";
    /***
     * 支付宝-应用私钥
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_APP_PRIVATE_KEY = "ALI_APP_PRIVATE_KEY";
    /***
     * 支付宝-应用公钥
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_ALIPAY_PUBLIC_KEY = "ALI_ALIPAY_PUBLIC_KEY";

    /***
     * 支付宝-验签方式
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_SIGN_TYPE = "ALI_SIGN_TYPE";
    /***
     * 支付宝-是否使用证书 YES NO
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_USE_CERT = "ALI_USE_CERT";
    /***
     * 支付宝-证书地址
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_CERT_PATH = "ALI_CERT_PATH";

    /***
     * 支付宝-接口内容加密密钥
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_CONTENT_SIGN_KEY = "ALI_CONTENT_SIGN_KEY";
    /***
     * 支付宝-接口内容加密方式
     * @author liweifan
     * @updateTime 2022/5/12 14:12
     */
    String ALI_CONTENT_SIGN_TYPE = "ALI_CONTENT_SIGN_TYPE";
    /***
     * 支付宝-手续费率
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String ALI_FEE_RATE = "ALI_FEE_RATE";

}
