package com.yonge.toolset.payment.original.wx.constant;

/**
 *
 * @Author: liweifan
 * @Data: 2022/5/11 16:21
 */
public interface WxpayConstant {
    /***
     * APPID
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_APPID = "WX_APPID";
    /***
     * 商户号
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_MERCHANT_ID = "WX_MERCHANT_ID";
    /***
     * V3密钥
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_API_V3_KEY = "WX_API_V3_KEY";
    /***
     * 商户证书序列号
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_MERCHANT_SERIAL_NUMBER = "WX_MERCHANT_SERIAL_NUMBER";
    /***
     * 商户私钥
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_MERCHANT_PRIVATE_KEY = "WX_MERCHANT_PRIVATE_KEY";
    /***
     * 证书apiclient_cert.pem在服务器中的路径
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_PRIVATE_CERT_PATH = "WX_PRIVATE_CERT_PATH";
    /***
     * 证书apiclient_key.pem在服务器中的路径
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_PRIVATE_KEY_PATH = "WX_PRIVATE_KEY_PATH";
    /***
     * 微信-手续费率
     * @author liweifan
     * @updateTime 2022/5/13 14:09
     */
    String WX_FEE_RATE = "WX_FEE_RATE";

}
