package com.yonge.cooleshow.api.feign.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 用户IM好友信息
 * Created by Eric.Shang on 2022/9/20.
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserFriendInfoVO implements Serializable {

    // 新用户ID
    private Long userId;

    // 客户端类型
    private String clientType;

    // 好友ID
    private List<Long> friendIds;

}
