package com.yonge.cooleshow.api.feign.fallback;

import com.yonge.cooleshow.api.feign.TeacherFeignService;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import org.springframework.stereotype.Component;

@Component
public class TeacherFeignServiceFallback implements TeacherFeignService {

    @Override
    public Object queryTeacherTotal() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> opsCourseGroup() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> destroyExpiredLiveRoom() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> createCourseLiveRoom() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> courseRemind() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> courseStatus() {
        return null;
    }

    @Override
    public HttpResponseResult<Object> teacherSalary() {
        return null;
    }

    /**
     * 用户老师身份
     *
     * @param userId 用户ID
     * @return HttpResponseResult<Boolean>
     */
    @Override
    public HttpResponseResult<Boolean> userTeacherIdentityInfo(Long userId) {
        return null;
    }

    @Override
    public HttpResponseResult<Object> divBack() {
        return null;
    }
}
