package com.yonge.cooleshow.tenant.controller;

import com.yonge.cooleshow.biz.dal.service.TenantPersonStatService;
import com.yonge.cooleshow.common.controller.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

@RestController
@RequestMapping("${app-config.url.tenant:}/task")
@ApiIgnore
public class TaskController extends BaseController {

    @Autowired
    private TenantPersonStatService tenantPersonStatService;

    //机构人员汇总
    @GetMapping("/tenantPersonStat")
    public void tenantPersonStat() {
        tenantPersonStatService.tenantPersonStatTask();
    }
}
