package com.yonge.cooleshow.auth.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 系统客服配置
 * Created by Eric.Shang on 2022/9/21.
 */
@Data
@RefreshScope
@Component
public class CustomerServiceConfig implements Serializable {

//    @Value("${app.customer.service:17740683946}")
//    private String customerService;
    @Value("${app.customer.message:}")
    private String customerMessage;
    @Value("${app.customer.title:}")
    private String customerTitle;

}
