package com.yonge.cooleshow.auth.middleware.wechat.domain;

import com.alibaba.fastjson.JSONArray;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *
 * 微信消息（图文消息，文本消息等）
 * Created by Eric.Shang on 9/1/18.
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WxContentWrapper implements Serializable {

    private JSONArray welcome;
    private String contact;

}
