package com.yonge.cooleshow.bbs.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.bbs.dto.search.BbsAuthRecordSearch;
import com.yonge.cooleshow.bbs.entity.BbsAuthRecord;
import com.yonge.cooleshow.bbs.vo.BbsAuthRecordVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BbsAuthRecordDao extends BaseMapper<BbsAuthRecord> {
    /**
     * 查询文章审核列表
     *
     * @param page
     * @param bbsArticle
     * @return
     */
    List<BbsAuthRecordVo> selectPage(@Param("page") IPage page, @Param("param") BbsAuthRecordSearch bbsArticle);
}