package com.yonge.cooleshow.bbs.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.bbs.entity.BbsCollect;
import com.yonge.cooleshow.bbs.vo.BbsCollectVo;
import com.yonge.cooleshow.bbs.dto.search.BbsCollectSearch;


public interface BbsCollectDao extends BaseMapper<BbsCollect>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-06-09 17:27:11
     * @return: com.yonge.cooleshow.bbs.vo.BbsCollectVo
	 */
	BbsCollectVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-06-09 17:27:11
     * @return: com.yonge.cooleshow.bbs.vo.BbsCollectVo
	 */
	List<BbsCollectVo> selectPage(@Param("page") IPage page, @Param("param") BbsCollectSearch bbsCollect);
	
}