package com.yonge.cooleshow.bbs.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.bbs.entity.BbsFollow;
import com.yonge.cooleshow.bbs.vo.BbsFollowVo;
import com.yonge.cooleshow.bbs.dto.search.BbsFollowSearch;


public interface BbsFollowDao extends BaseMapper<BbsFollow>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-06-09 17:27:11
     * @return: com.yonge.cooleshow.bbs.vo.BbsFollowVo
	 */
	BbsFollowVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-06-09 17:27:11
     * @return: com.yonge.cooleshow.bbs.vo.BbsFollowVo
	 */
	List<BbsFollowVo> selectPage(@Param("page") IPage page, @Param("param") BbsFollowSearch bbsFollow);
	
}