package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.mbg.model.OmsOrderSetting;
import org.springframework.transaction.annotation.Transactional;

/**
 * 订单设置管理Service
 * Created by macro on 2018/10/16.
 */
public interface OmsOrderSettingService {
    /**
     * 获取指定订单设置
     */
    OmsOrderSetting getItem(Long id);

    /**
     * 修改指定订单设置
     */
    @Transactional
    int update(Long id, OmsOrderSetting orderSetting);
}
