package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.mbg.model.UmsResourceCategory;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 后台资源分类管理Service
 * Created by macro on 2020/2/5.
 */
public interface UmsResourceCategoryService {

    /**
     * 获取所有资源分类
     */
    List<UmsResourceCategory> listAll();

    /**
     * 创建资源分类
     */
    @Transactional
    int create(UmsResourceCategory umsResourceCategory);

    /**
     * 修改资源分类
     */
    @Transactional
    int update(Long id, UmsResourceCategory umsResourceCategory);

    /**
     * 删除资源分类
     */
    @Transactional
    int delete(Long id);
}
