package com.yonge.cooleshow.task.jobs;

import com.yonge.cooleshow.api.feign.TeacherFeignService;
import com.yonge.cooleshow.task.core.BaseTask;
import com.yonge.cooleshow.task.core.TaskException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CreateCourseLiveRoomTask extends BaseTask {
    @Autowired
    private TeacherFeignService teacherFeignService;

    @Override
    public void execute() throws TaskException {
        teacherFeignService.createCourseLiveRoom();
    }
}
