package com.yonge.cooleshow.task.jobs;

import com.yonge.cooleshow.api.feign.AdminFeignService;
import com.yonge.cooleshow.api.feign.TeacherFeignService;
import com.yonge.cooleshow.task.core.BaseTask;
import com.yonge.cooleshow.task.core.TaskException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author: liweifan
 * @Data: 2022/4/25 10:30
 */
@Service
public class DestroyLiveRoomTask extends BaseTask {
    @Autowired
    private AdminFeignService adminFeignService;

    @Override
    public void execute() throws TaskException {
        adminFeignService.destroyLiveRoom();
    }
}
