package com.yonge.cooleshow.biz.dal.constant;

public interface LiveRoomConstant {

    //替换的字符串
    String USER_ID = "${userId}";

    //替换的字符串
    String ROOM_UID = "${roomUid}";

    //缓存排头
    String COOLESHOW = "COOLESHOW";

    //直播间累计用户信息-指只要进入到该房间的用户都要记录
    String LIVE_ROOM_TOTAL_USER_LIST = String.join(":", COOLESHOW, "LIVE_ROOM_TOTAL_USER_LIST", ROOM_UID);

    //直播间在线用户信息
    String LIVE_ROOM_ONLINE_USER_LIST = String.join(":", COOLESHOW, "LIVE_ROOM_ONLINE_USER_LIST", ROOM_UID);

    //用户当前对应的直播间Uid
    String LIVE_USER_ROOM = String.join(":", COOLESHOW, "LIVE_ROOM_USER", USER_ID);

    //房间点赞数
    String LIVE_ROOM_LIKE = String.join(":", COOLESHOW, "LIVE_ROOM_LIKE", ROOM_UID);

    //房间的信息
    String LIVE_ROOM_INFO = String.join(":", COOLESHOW, "LIVE_ROOM_INFO", ROOM_UID);

    //记录老师最后变更的状态消息时间
    String LIVE_USER_LAST_TIME = String.join(":", COOLESHOW, "LIVE_USER_LAST_TIME", USER_ID);

    //主讲人最近一次加入房间的clientIp
    String LIVE_USER_LAST_CLIENT_IP = String.join(":", COOLESHOW, "LIVE_USER_LAST_CLIENT_IP", ROOM_UID, USER_ID);

    //当前房间心跳
    String LIVE_ROOM_HEART_BEAT = String.join(":", COOLESHOW, "LIVE_ROOM_HEART_BEAT", ROOM_UID);

    //正在临时直播间的房间列表
    String TEACHER_TEMP_LIVE_ROOM = String.join(":", COOLESHOW, "TEACHER_TEMP_LIVE_ROOM");
    //主讲人信息
    String LIVE_SPEAKER_INFO = String.join(":", "IM:LIVE_SPEAKER_INFO", ROOM_UID, USER_ID);
    //计算人员观看时长锁
    public static final String LIVE_LOOK_LOCK = String.join(":", "IM:LIVE_LOOK_LOCK", ROOM_UID);

}
