package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.ActivityRegistration;
import com.yonge.cooleshow.biz.dal.vo.ActivityRegistrationVo;
import com.yonge.cooleshow.biz.dal.dto.search.ActivityRegistrationSearch;


public interface ActivityRegistrationDao extends BaseMapper<ActivityRegistration>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-08-04 10:19:49
     * @return: com.yonge.cooleshow.biz.dal.vo.ActivityRegistrationVo
	 */
	ActivityRegistrationVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-08-04 10:19:49
     * @return: com.yonge.cooleshow.biz.dal.vo.ActivityRegistrationVo
	 */
	List<ActivityRegistrationVo> selectPage(@Param("page") IPage page, @Param("param") ActivityRegistrationSearch activityRegistration);
	
}