package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.ActivityRewardChangeStock;
import com.yonge.cooleshow.biz.dal.vo.ActivityRewardChangeStockVo;
import com.yonge.cooleshow.biz.dal.dto.search.ActivityRewardChangeStockSearch;


public interface ActivityRewardChangeStockDao extends BaseMapper<ActivityRewardChangeStock>{
    /**
     * 查询详情
     * @author liweifan
     * @date 2022-08-18 09:36:05
     * @return: com.yonge.cooleshow.biz.dal.vo.ActivityRewardChangeStockVo
     */
    ActivityRewardChangeStockVo detail(@Param("id") Long id);

    /**
     * 分页查询
     * @author liweifan
     * @date 2022-08-18 09:36:05
     * @return: com.yonge.cooleshow.biz.dal.vo.ActivityRewardChangeStockVo
     */
    List<ActivityRewardChangeStockVo> selectPage(@Param("page") IPage page, @Param("param") ActivityRewardChangeStockSearch activityRewardChangeStock);
}