package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.AuditReason;
import com.yonge.cooleshow.biz.dal.vo.AuditReasonVo;
import com.yonge.cooleshow.biz.dal.dto.search.AuditReasonSearch;


public interface AuditReasonDao extends BaseMapper<AuditReason>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-08-12 09:33:55
     * @return: com.yonge.cooleshow.biz.dal.vo.AuditReasonVo
	 */
	AuditReasonVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-08-12 09:33:55
     * @return: com.yonge.cooleshow.biz.dal.vo.AuditReasonVo
	 */
	List<AuditReasonVo> selectPage(@Param("page") IPage page, @Param("param") AuditReasonSearch auditReason);
	
}