package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.ExposureRecord;
import com.yonge.cooleshow.biz.dal.wrapper.ExposureRecordWrapper;
import com.yonge.cooleshow.biz.dal.wrapper.TeacherIndexWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExposureRecordDao extends BaseMapper<ExposureRecord> {
    void saveExposureRecord(@Param("beans") List<ExposureRecordWrapper.SaveExposureRecordDto> exposureRecordDto);

    List<TeacherIndexWrapper.CourseExposureTotal> courseExposureTotal(@Param("param") TeacherIndexWrapper.CourseExposureSearch search,
                                                                      @Param("groupBy") String groupBy);
}

