package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.search.HotSearchSearch;
import com.yonge.cooleshow.biz.dal.entity.HotSearch;
import com.yonge.cooleshow.biz.dal.vo.HotSearchVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface HotSearchDao extends BaseMapper<HotSearch> {

    /**
     * 分页
     *
     * @param page
     * @param query
     * @return
     */
    List<HotSearchVo> selectPage(@Param("page") IPage<HotSearchVo> page, @Param("query") HotSearchSearch query);
}