package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yonge.cooleshow.biz.dal.dto.ImGroupNoticeDto;
import com.yonge.cooleshow.biz.dal.entity.ImGroupNotice;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 群公告(ImGroupNotice)表数据库访问层
 *
 * @author zx
 * @since 2022-03-22 10:45:59
 */
public interface ImGroupNoticeDao extends BaseMapper<ImGroupNotice> {

    int insertBatch(@Param("entities") List<ImGroupNotice> entities);

    IPage<ImGroupNoticeDto> queryPage(Page<ImGroupNoticeDto> pageInfo, @Param("params") Map<String, Object> params);

    void updateTopFlag(@Param("groupId") String groupId);
}

