package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoom;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 网络教室房间(ImNetworkRoom)表数据库访问层
 *
 * @author zx
 * @since 2022-03-30 16:36:36
 */
public interface ImNetworkRoomDao extends BaseMapper<ImNetworkRoom> {

    /**
    * @description: 根据房间号获取
     * @param roomId
    * @return com.yonge.cooleshow.biz.dal.entity.ImNetworkRoom
    * @author zx
    * @date 2022/3/30 17:57
    */
    ImNetworkRoom findByRoomId(String roomId);
}

