package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.PianoRoomBuyRecord;
import com.yonge.cooleshow.biz.dal.vo.PianoRoomBuyRecordVo;
import com.yonge.cooleshow.biz.dal.dto.search.PianoRoomBuyRecordSearch;


public interface PianoRoomBuyRecordDao extends BaseMapper<PianoRoomBuyRecord>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-05-30 20:14:03
     * @return: com.yonge.cooleshow.biz.dal.vo.PianoRoomBuyRecordVo
	 */
	PianoRoomBuyRecordVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-05-30 20:14:03
     * @return: com.yonge.cooleshow.biz.dal.vo.PianoRoomBuyRecordVo
	 */
	List<PianoRoomBuyRecordVo> selectPage(@Param("page") IPage page, @Param("param") PianoRoomBuyRecordSearch pianoRoomBuyRecord);
	
}