package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.ReturnVisit;
import com.yonge.cooleshow.biz.dal.vo.ReturnVisitVo;
import com.yonge.cooleshow.biz.dal.dto.search.ReturnVisitSearch;


public interface ReturnVisitDao extends BaseMapper<ReturnVisit>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-11-08 15:27:08
     * @return: com.yonge.cooleshow.biz.dal.vo.ReturnVisitVo
	 */
	ReturnVisitVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-11-08 15:27:08
     * @return: com.yonge.cooleshow.biz.dal.vo.ReturnVisitVo
	 */
	List<ReturnVisitVo> selectPage(@Param("page") IPage page, @Param("param") ReturnVisitSearch returnVisit);
	
}