package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.StudentAttendance;
import com.yonge.cooleshow.biz.dal.vo.StudentAttendanceVo;
import com.yonge.cooleshow.biz.dal.dto.search.StudentAttendanceSearch;


public interface StudentAttendanceDao extends BaseMapper<StudentAttendance>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-03-30 13:53:51
     * @return: com.yonge.cooleshow.biz.dal.vo.StudentAttendanceVo
	 */
	StudentAttendanceVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-03-30 13:53:51
     * @return: com.yonge.cooleshow.biz.dal.vo.StudentAttendanceVo
	 */
	List<StudentAttendanceVo> selectPage(@Param("page") IPage page, @Param("param") StudentAttendanceSearch studentAttendance);

    StudentAttendance findByUserIdAndCourseId(@Param("userId") Long userId, @Param("scheduleId") Long scheduleId);
}