package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.StudentTotal;
import com.yonge.cooleshow.biz.dal.vo.StudentTotalVo;
import com.yonge.cooleshow.biz.dal.dto.search.StudentTotalSearch;


public interface StudentTotalDao extends BaseMapper<StudentTotal>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-04-11 17:10:23
     * @return: com.yonge.cooleshow.biz.dal.vo.StudentTotalVo
	 */
	StudentTotalVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-04-11 17:10:23
     * @return: com.yonge.cooleshow.biz.dal.vo.StudentTotalVo
	 */
	List<StudentTotalVo> selectPage(@Param("page") IPage page, @Param("param") StudentTotalSearch studentTotal);
	
}