package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.TeacherAttendance;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 老师考勤表(TeacherAttendance)表数据库访问层
 *
 * @author hgw
 * @since 2022-05-05 13:51:21
 */
public interface TeacherAttendanceDao extends BaseMapper<TeacherAttendance> {

    int insertBatch(@Param("entities") List<TeacherAttendance> entities);

    TeacherAttendance findByUserIdAndCourseId(@Param("userId") Long userId, @Param("scheduleId") Long scheduleId);
}

