package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.search.UserFirstTimeSearch;
import com.yonge.cooleshow.biz.dal.entity.UserFirstTime;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface UserFirstTimeDao extends BaseMapper<UserFirstTime>{

    /**
     * 查询集合
     * @param param
     * @return
     */
    List<UserFirstTime> selectAllList(@Param("param") UserFirstTimeSearch param);

    /**
     * 达标活动参与用户信息
     * @param page IPage<UserFirstTime>
     * @param search UserFirstTimeSearch
     * @return IPage<UserFirstTime>
     */
    List<UserFirstTime> selectActivityParticipateUserPage(@Param("page") IPage<UserFirstTime> page, @Param("record") UserFirstTimeSearch search);
}