package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.UserOrderRefundBill;
import com.yonge.cooleshow.biz.dal.vo.UserOrderRefundBillVo;
import com.yonge.cooleshow.biz.dal.dto.search.UserOrderRefundPaymentSearch;


public interface UserOrderRefundBillDao extends BaseMapper<UserOrderRefundBill>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-05-09 17:14:30
     * @return: com.yonge.cooleshow.biz.dal.vo.UserOrderRefundPaymentVo
	 */
	UserOrderRefundBillVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-05-09 17:14:30
     * @return: com.yonge.cooleshow.biz.dal.vo.UserOrderRefundPaymentVo
	 */
	List<UserOrderRefundBillVo> selectPage(@Param("page") IPage page, @Param("param") UserOrderRefundPaymentSearch userOrderRefundPayment);

    UserOrderRefundBill getByTransNoOrOrderNo(@Param("transNo") String transNo, @Param("refundOrderNo") String refundOrderNo);

    List<UserOrderRefundBill> getPendingList();
}