package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.search.VideoLessonEvaluateSearch;
import com.yonge.cooleshow.biz.dal.dto.search.VideoLessonGroupSearch;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonEvaluate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.vo.VideoLessonEvaluateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * VideoLessonEvaluateDao数据库访问类
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
public interface VideoLessonEvaluateDao extends BaseMapper<VideoLessonEvaluate> {
    //查询视频课评论
    List<VideoLessonEvaluateVo> selectEvaluate(IPage<VideoLessonEvaluateVo> page, @Param("param") VideoLessonEvaluateSearch search);
}