package com.yonge.cooleshow.biz.dal.dao;

import org.apache.ibatis.annotations.Param;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupLog;
import com.yonge.toolset.mybatis.dal.BaseDAO;

public interface VideoLessonGroupLogDao extends BaseDAO<Long, VideoLessonGroupLog> {

	Long queryMaxVersion(Long videoLessonGroupId);
	
	VideoLessonGroupLog queryByVideoLessonGroupId(@Param("videoLessonGroupId") Long videoLessonGroupId, @Param("version") Long version);
	
	/**
	 * 查询最新上架信息
	 * @param videoLessonGroupId
	 * @return
	 */
	VideoLessonGroupLog queryLastestShelvesInfo(Long videoLessonGroupId);
}