package com.yonge.cooleshow.biz.dal.dao;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonPurchaseRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * VideoLessonPurchaseRecordDao数据库访问类
 * @author yzp
 * @date 2022-03-25 23:46:29
 * @version v1.0
 **/
public interface VideoLessonPurchaseRecordDao extends BaseMapper<VideoLessonPurchaseRecord> {
    //根据视频课id查购买学生
    List<Long> selectStudentByDetail(Long videoId);

    //根据课程id查询老师id
    Long selectTeacherByDetail(Long videoId);

    //修改订单状态
    void updateStatus(@Param("orderNo") String orderNo,@Param("status") String status);
    
    List<VideoLessonPurchaseRecord> queryByVideoLessonGroupId(@Param("videoLessonGroupId") Long videoLessonGroupId, @Param("orderStatus") String orderStatus);
}