package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.ActivityPlanReward;
import com.yonge.cooleshow.biz.dal.entity.ActivityReward;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-08-17 11:13:13
 */
@ApiModel(value = "ActivityPlanRewardDto对象", description = "活动计划奖品表数据传输对象")
public class ActivityPlanRewardDto extends ActivityPlanReward{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("奖品对象")
	private ActivityReward activityReward;

	public ActivityReward getActivityReward() {
		return activityReward;
	}

	public void setActivityReward(ActivityReward activityReward) {
		this.activityReward = activityReward;
	}
}