package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.biz.dal.enums.ImNetworkDeviceTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ImNetworkDeviceControlDto {
	@ApiModelProperty(value = "需要操作的类型",required = true)
	private ImNetworkDeviceTypeEnum deviceType;

	@ApiModelProperty(value = "开关",required = true)
	private Boolean enable;

	@ApiModelProperty(value = "房间号",required = true)
	private String roomId;

	@ApiModelProperty(value = "用户ID",required = true)
	private String userId;

	@ApiModelProperty(value = "ticket",required = true)
	private String ticket;

	@ApiModelProperty(value = "状态",required = true)
	private Integer status;

	@ApiModelProperty(value = "原音",required = true)
	private String musicSheetId;

	@ApiModelProperty(value = "伴奏",required = true)
	private String musicScoreAccompanimentId;

	@ApiModelProperty(value = "伴奏音量",required = true)
	private Integer soundVolume = 100;

	@ApiModelProperty("客户端类型 ")
	private ClientEnum clientType;

	@ApiModelProperty("服务提供方")
	private String serviceProvider;

	@ApiModelProperty("是否允许用户自行解除静音")
	private Boolean cancelMuteFlag;
}
