package com.yonge.cooleshow.biz.dal.dto;


import com.yonge.cooleshow.biz.dal.entity.BaseMessage;
import lombok.Data;

@Data
public class ImNetworkMusicSheetDownloadMessage extends BaseMessage {
    
    private ImNetworkMusicSheetDownloadMessageContent content;
    
    private static final transient String TYPE = "DY:musicScoreDownloadMessage";

    public ImNetworkMusicSheetDownloadMessage(ImNetworkMusicSheetDownloadMessageContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "{\"id\":\"" + content.getId() +
                "\", \"examSongId\":\"" + content.getExamSongId() +
                "\", \"subjectId\":\"" + content.getSubjectId() +
                "\", \"subjectName\":\"" + content.getSubjectName() +
                "\", \"mp3Url\":\"" + content.getMp3Url() +
                "\", \"speed\":\"" + content.getSpeed() +
                "\", \"xmlUrl\":\"" + content.getXmlUrl() +
                "\", \"examSongName\":\"" + content.getExamSongName() +
                "\", \"categoriesName\":\"" + content.getCategoriesName() +
                "\", \"categoriesId\":\"" + content.getCategoriesId() +
                "\", \"type\":\"" + content.getType() +
                "\", \"url\":\"" + content.getUrl() +
                "\"}";
    }

    @Override
    public String getObjectName() {
        return TYPE;
    }
}
