package com.yonge.cooleshow.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

@Data
public class ImNetworkMusicSheetDownloadMessageContent{
    //伴奏编号
    @ApiModelProperty(value = "伴奏编号")
    private String id;

    //曲目编号
    @ApiModelProperty(value = "曲目编号")
    private String examSongId;

    //声部
    @ApiModelProperty(value = "声部")
    private Integer subjectId;

    //声部
    @ApiModelProperty(value = "声部")
    private String subjectName;

    //原音url
    @ApiModelProperty(value = "原音url")
    private String mp3Url = "";

    //速度
    @ApiModelProperty(value = "速度")
    private String speed;

    //xmlUrl
    @ApiModelProperty(value = "xmlUrl")
    private String xmlUrl = "";

    //曲目名
    @ApiModelProperty(value = "曲目名")
    private String examSongName;

    //标签名
    @ApiModelProperty(value = "标签名")
    private String categoriesName;

    //标签分类
    @ApiModelProperty(value = "标签分类")
    private Integer categoriesId;

    @ApiModelProperty(value = "类型")
    private String type;

    /**  */
    @ApiModelProperty(value = "url")
    private String url = "";

    //服务提供商
    private String serviceProvider;

    //房间号
    private String roomId;

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}