package com.yonge.cooleshow.biz.dal.dto;


import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RoomStatusNotify {
	@ApiModelProperty("房间号")
	private String roomId;

	@ApiModelProperty("用户编号")
	private String userId;

	@ApiModelProperty("设备号")
	private String deviceNum;

	@ApiModelProperty("状态")
	private boolean requestStatus;

	@ApiModelProperty("客户端类型 ")
	private ClientEnum clientType;


	@Override
	public String toString() {
		return "RoomStatusNotify{" +
				"roomId='" + roomId + '\'' +
				", userId='" + userId + '\'' +
				", requestStatus=" + requestStatus +
				'}';
	}
}
