package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.EVipType;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: liweifan
 * @Data: 2022-04-25 14:34:49
 */
@Data
@ApiModel(value = "MemberPriceSettingsSearch对象", description = "查询对象")
public class MemberPriceSettingsSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("分享老师id")
	private Long userId;

	@ApiModelProperty("活动id")
	private Long  activityId;

	@ApiModelProperty("true:启用，false:停用")
	private Boolean status;

	@ApiModelProperty("VIP,SVIP")
	private EVipType vipType;

	@ApiModelProperty("会员类型")
	private String searchType = "VIP,SVIP";

}