package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 客服群发接收
 * 2022-12-09 10:49:10
 */
@Data
@ApiModel(" CustomerServiceReceive-客服群发接收")
@TableName("customer_service_receive")
public class CustomerServiceReceive implements Serializable {

    @ApiModelProperty("主键ID") 
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("群发消息ID")
    @TableField(value = "batch_sending_id_")
    private Long batchSendingId;

    @ApiModelProperty("用户ID") 
	@TableField(value = "user_id_")
    private Long userId;

    @ApiModelProperty("用户身份") 
	@TableField(value = "client_type_")
    private String clientType;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

}