package com.yonge.cooleshow.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * 网络教室房间(ImNetworkRoom)表实体类
 *
 * @author zx
 * @since 2022-03-30 16:36:36
 */
@Data
@ApiModel(value = "im_network_room-网络教室房间")
public class ImNetworkRoom implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("room_id_")
    @ApiModelProperty(value = "房间编号;")
    private String roomId;

    @TableField("display_")
    @ApiModelProperty(value = "用于移动端房间渲染")
    //type 1老师0助教
    private String display = "";

    @TableField("sound_volume_")
    @ApiModelProperty(value = "伴奏音量")
    private Integer soundVolume = 100;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

}

