package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 网络教室成员状态表
 * 2023-08-14 15:47:02
 */
@Data
@ApiModel(" ImNetworkRoomMemberStatus-网络教室成员状态表")
@TableName("im_network_room_member_status")
public class ImNetworkRoomMemberStatus implements Serializable {

    @ApiModelProperty("主键;") 
	    @TableId(value = "id_")
	    private Long id;

    @ApiModelProperty("房间号") 
	@TableField(value = "room_id_")
    private String roomId;

//    @TableField(value = "im_user_id_")
//    @ApiModelProperty(value = "IM用户ID")
//    private String imUserId;
//
//    @ApiModelProperty("角色0学员1老师;")
//	@TableField(value = "role_")
//    private Integer role;

    @ApiModelProperty("网络教室节拍器参数") 
	@TableField(value = "play_midi_")
    private String playMidi;

    @ApiModelProperty("网络教室当前课程曲目下载信息") 
	@TableField(value = "music_sheet_download_json_")
    private String musicSheetDownloadJson;

}