package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 区域表
 * 2022-11-23 18:28:58
 */
@Data
@TableName("sys_area")
public class SysArea implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    // 名称
	@TableField(value = "name_")
    private String name;

    // 编码
	@TableField(value = "code_")
    private Integer code;

    // 创建时间
	@TableField(value = "create_time_")
    private Date createTime;

    // 修改时间
	@TableField(value = "update_time_")
    private Date updateTime;

    // 是否删除  -1：已删除  0：正常
	@TableField(value = "del_flag_")
    private String delFlag;

    // 父节点编号
	@TableField(value = "parent_organ_id_")
    private Integer parentOrganId;

}
