package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_music_compare_week_data):
 */
@Data
public class SysMusicCompareWeekData extends BaseEntity {

	/** 用户编号 */
	private Long userId;

	private Long tenantId = -1L;
	
	/** 周一日期 */
	private java.util.Date monday;
	
	/** 训练次数 */
	private Integer trainNum;
	
	/** 本周训练天数 */
	private Integer trainDays;
	
	/** 本周训练时长 */
	private Float trainTime;
	
	/** 本周入门级最高分 */
	private Integer beginnerMaxScore;
	private Integer beginnerMaxScoreId;

	/** 本周进阶级最高分 */
	private Integer advancedMaxScore;
	private Integer advancedMaxScoreId;

	/** 本周大师级最高分 */
	private Integer performerMaxScore;
	private Integer performerMaxScoreId;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
