package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 机构专辑关联表
 * 2023-07-21 17:32:49
 */
@Data
@ApiModel(" TenantAlbumRef-机构专辑关联表")
@TableName("tenant_album_ref")
public class TenantAlbumRef implements Serializable {

    @ApiModelProperty("主键ID") 

    @TableId(value = "id_", type = IdType.AUTO)
	    private Long id;

    @ApiModelProperty("机构ID") 
	@TableField(value = "tenant_id_")
    private Long tenantId;

    @ApiModelProperty("机构专辑ID") 
	@TableField(value = "tenant_album_id_")
    private Long tenantAlbumId;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

}