package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 机构小组表
 * 2023-10-11 09:24:50
 */
@Data
@ApiModel(" TenantGroup-机构小组表")
@TableName("tenant_group")
public class TenantGroup implements Serializable {

    @ApiModelProperty("主键ID")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("机构ID")
    @TableField(value = "tenant_id_")
    private Long tenantId;

    @ApiModelProperty("小组名称")
    @TableField(value = "name_")
    private String name;

    @ApiModelProperty("管理员ID")
    @TableField(value = "admin_id_")
    private Long adminId;

    @ApiModelProperty("IM群ID")
    @TableField(value = "im_group_id_")
    private String imGroupId;

    @ApiModelProperty("创建人")
    @TableField(value = "create_by_")
    private Long createBy;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

}