package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 机构人员信息统计
 * 2023-07-25 10:43:00
 */
@Data
@ApiModel(" TenantPersonStat-机构人员信息统计")
@TableName("tenant_person_stat")
public class TenantPersonStat implements Serializable {


    @TableId(value = "id_", type = IdType.AUTO)
	    private Long id;

    @ApiModelProperty("机构编号") 
	@TableField(value = "tenant_id_")
    private Long tenantId;

    @ApiModelProperty("学员人数") 
	@TableField(value = "student_num_")
    private Integer studentNum = 0;

    @ApiModelProperty("老师人数") 
	@TableField(value = "teacher_num_")
    private Integer teacherNum = 0;

    @ApiModelProperty("年月日") 
	@TableField(value = "day_")
    private String day;

    @ApiModelProperty("年月") 
	@TableField(value = "month_")
    private String month;

    @ApiModelProperty("年") 
	@TableField(value = "year_")
    private String year;

	@TableField(value = "create_time_")
    private Date createTime;

}