package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 解绑审核人员设置
 * 2023-08-23 16:33:16
 */
@Data
@ApiModel(" UnbindAuthUser-解绑审核人员设置")
@TableName("unbind_auth_user")
public class UnbindAuthUser implements Serializable {

    @ApiModelProperty("主键") 

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("员工ID") 
	@TableField(value = "user_id_")
    private Long userId;

    @ApiModelProperty("省份编码") 
	@TableField(value = "province_code_")
    private Integer provinceCode;

    @ApiModelProperty("城市编码") 
	@TableField(value = "city_code_")
    private Integer cityCode;

    @ApiModelProperty("地区/街道") 
	@TableField(value = "region_code_")
    private Integer regionCode;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

}