package com.yonge.cooleshow.biz.dal.enums;

/**
 * 常用数据类型正则
 * Created by Eric.Shang on 2022/8/29.
 */
public interface MK {

    // 手机号
    String EXP_MOBILE_NUMBER = "^1(3\\d|4[5-9]|5[0-35-9]|6[2567]|7[0-8]|8\\d|9[0-35-9])\\d{8}$";
    // 正型
    String EXP_INT = "^\\d+$";
    // 时间格式
    String TIME_PATTERN = "yyyy-MM-dd HH:mm:ss";
    // 时区设置
    String TIME_ZONE = "GMT+8";
    // 时间戳
    String YYYYMMDD = "yyyyMMdd";

    // 客服消息
    String IM_SYS_FRIEND = "你好！我是你的专属客服~有任何问题都可以与我联系哦！";
    // 推送消息标题
    String IM_SYS_TITLE = "客服消息";
}
