package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.ImNetworkRoomMemberStatus;
import com.yonge.cooleshow.biz.dal.wrapper.ImNetworkRoomMemberStatusWrapper;

/**
 * 网络教室成员状态表
 * 2023-08-14 15:47:02
 */
@Repository
public interface ImNetworkRoomMemberStatusMapper extends BaseMapper<ImNetworkRoomMemberStatus> {

	/**
	 * 分页查询
	 * @param page IPage<ImNetworkRoomMemberStatusWrapper.ImNetworkRoomMemberStatus>
	 * @param param ImNetworkRoomMemberStatusWrapper.ImNetworkRoomMemberStatusQuery
	 * @return List<ImNetworkRoomMemberStatusWrapper.ImNetworkRoomMemberStatus>
	 */
	List<ImNetworkRoomMemberStatus> selectPage(@Param("page") IPage<ImNetworkRoomMemberStatus> page, @Param("param") ImNetworkRoomMemberStatusWrapper.ImNetworkRoomMemberStatusQuery param);
	
}