package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.PaymentMerchantConfig;
import com.yonge.cooleshow.biz.dal.wrapper.PaymentMerchantConfigWrapper;

/**
 * 支付三方账户配置
 * 2023-07-28 16:53:51
 */
@Repository
public interface PaymentMerchantConfigMapper extends BaseMapper<PaymentMerchantConfig> {

	/**
	 * 分页查询
	 * @param page IPage<PaymentMerchantConfigWrapper.PaymentMerchantConfig>
	 * @param param PaymentMerchantConfigWrapper.PaymentMerchantConfigQuery
	 * @return List<PaymentMerchantConfigWrapper.PaymentMerchantConfig>
	 */
	List<PaymentMerchantConfig> selectPage(@Param("page") IPage<PaymentMerchantConfig> page, @Param("param") PaymentMerchantConfigWrapper.PaymentMerchantConfigQuery param);
	
}