package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestionType;
import com.yonge.cooleshow.biz.dal.wrapper.SysSuggestionTypeWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 平台建议类型表
 * 2023-08-30 11:26:33
 */
@Repository
public interface SysSuggestionTypeMapper extends BaseMapper<SysSuggestionType> {

    /**
     * 分页查询
     * @param page IPage<SysSuggestionTypeWrapper.SysSuggestionType>
     * @param param SysSuggestionTypeWrapper.SysSuggestionTypeQuery
     * @return List<SysSuggestionTypeWrapper.SysSuggestionType>
     */
    List<SysSuggestionType> selectPage(@Param("page") IPage<SysSuggestionType> page, @Param("param") SysSuggestionTypeWrapper.SysSuggestionTypeQuery param);

}
