package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestionV2;
import com.yonge.cooleshow.biz.dal.wrapper.SysSuggestionWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台建议表
 * 2022-11-15 17:59:45
 */
public interface SysSuggestionV2Mapper extends BaseMapper<SysSuggestionV2> {

	/**
	 * 分页查询
	 * @param page IPage<SysSuggestionWrapper.SysSuggestionList>
	 * @param param SysSuggestionWrapper.SysSuggestionQuery
	 * @return List<SysSuggestionWrapper.SysSuggestion>
	 */
	List<SysSuggestionWrapper.SysSuggestion> selectPage(@Param("page") IPage<SysSuggestionWrapper.SysSuggestion> page, @Param("param") SysSuggestionWrapper.SysSuggestionQuery param);

}
