package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbumCategory;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumCategoryWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 机构专辑分类
 * 2023-10-10 09:48:46
 */
@Repository
public interface TenantAlbumCategoryMapper extends BaseMapper<TenantAlbumCategory> {

    /**
     * 分页查询
     * @param page IPage<TenantAlbumCategoryWrapper.TenantAlbumCategory>
     * @param param TenantAlbumCategoryWrapper.TenantAlbumCategoryQuery
     * @return List<TenantAlbumCategoryWrapper.TenantAlbumCategory>
     */
    List<TenantAlbumCategory> selectPage(@Param("page") IPage<TenantAlbumCategoryWrapper.TenantAlbumCategory> page,
                                         @Param("param") TenantAlbumCategoryWrapper.TenantAlbumCategoryQuery param);

}