package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbum;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumWrapper;

/**
 * 机构专辑
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantAlbumMapper extends BaseMapper<TenantAlbum> {

	/**
	 * 分页查询
	 * @param page IPage<TenantAlbumWrapper.TenantAlbum>
	 * @param param TenantAlbumWrapper.TenantAlbumQuery
	 * @return List<TenantAlbumWrapper.TenantAlbum>
	 */
	List<TenantAlbumWrapper.TenantAlbum> selectPage(@Param("page") IPage<TenantAlbumWrapper.TenantAlbum> page, @Param("param") TenantAlbumWrapper.TenantAlbumQuery param);
	
}