package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantAlbumRef;
import com.yonge.cooleshow.biz.dal.wrapper.TenantAlbumRefWrapper;

/**
 * 机构专辑关联表
 * 2023-07-21 17:32:49
 */
@Repository
public interface TenantAlbumRefMapper extends BaseMapper<TenantAlbumRef> {

	/**
	 * 分页查询
	 * @param page IPage<TenantAlbumRefWrapper.TenantAlbumRef>
	 * @param param TenantAlbumRefWrapper.TenantAlbumRefQuery
	 * @return List<TenantAlbumRefWrapper.TenantAlbumRef>
	 */
	List<TenantAlbumRef> selectPage(@Param("page") IPage<TenantAlbumRef> page, @Param("param") TenantAlbumRefWrapper.TenantAlbumRefQuery param);


    TenantAlbumRef selectByAlbumId(@Param("id") Long id);
}