package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantGroupAlbum;
import com.yonge.cooleshow.biz.dal.wrapper.TenantGroupAlbumWrapper;

/**
 * 机构小组专辑配置表
 * 2024-01-24 13:32:00
 */
@Repository
public interface TenantGroupAlbumMapper extends BaseMapper<TenantGroupAlbum> {

	/**
	 * 分页查询
	 * @param page IPage<TenantGroupAlbumWrapper.TenantGroupAlbum>
	 * @param param TenantGroupAlbumWrapper.TenantGroupAlbumQuery
	 * @return List<TenantGroupAlbumWrapper.TenantGroupAlbum>
	 */
	List<TenantGroupAlbumWrapper.TenantGroupAlbumVo> selectPage(@Param("page") IPage<TenantGroupAlbumWrapper.TenantGroupAlbumVo> page, @Param("param") TenantGroupAlbumWrapper.TenantGroupAlbumQuery param);


    List<TenantGroupAlbumWrapper.BuyTenantAlbum> getBuyAlbumInfo(@Param("param") TenantGroupAlbumWrapper.BuyTenantAlbumQuery query);

	List<TenantGroupAlbumWrapper.TenantGroupAlbumCount> countGroupAlbumByGroupId(@Param("ids") String ids);
}