package com.yonge.cooleshow.biz.dal.mapper;



import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantMember;
import com.yonge.cooleshow.biz.dal.wrapper.TenantMemberWrapper;

/**
 * @Author：haonan
 * @Date：2023/8/10 13:43
 * @Filename：TenantMemberMapper
 */

/**
 * 机构子账户表
 * 2023-08-10 13:36:39
 */
@Repository
public interface TenantMemberMapper extends BaseMapper<TenantMember> {

    /**
     * 分页查询
     * @param page IPage<TenantMemberWrapper.TenantMember>
     * @param param TenantMemberWrapper.TenantMemberQuery
     * @return List<TenantMemberWrapper.TenantMember>
     */
    List<TenantMemberWrapper.TenantMember> selectPage(@Param("page") IPage<TenantMemberWrapper.TenantMember> page, @Param("param") TenantMemberWrapper.TenantMemberQuery param);

}