package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.TenantTeacherAccountRecord;
import com.yonge.cooleshow.biz.dal.wrapper.TenantTeacherAccountRecordWrapper;

/**
 * 机构老师流水表
 * 2023-10-09 17:39:42
 */
@Repository
public interface TenantTeacherAccountRecordMapper extends BaseMapper<TenantTeacherAccountRecord> {

	/**
	 * 分页查询
	 * @param page IPage<TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecord>
	 * @param param TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecordQuery
	 * @return List<TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecord>
	 */
	List<TenantTeacherAccountRecord> selectPage(@Param("page") IPage<TenantTeacherAccountRecord> page, @Param("param") TenantTeacherAccountRecordWrapper.TenantTeacherAccountRecordQuery param);
	
}