package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.UnbindAuthUser;
import com.yonge.cooleshow.biz.dal.wrapper.UnbindAuthUserWrapper;

/**
 * 解绑审核人员设置
 * 2023-08-23 16:33:16
 */
@Repository
public interface UnbindAuthUserMapper extends BaseMapper<UnbindAuthUser> {

	/**
	 * 分页查询
	 * @param page IPage<UnbindAuthUserWrapper.UnbindAuthUser>
	 * @param param UnbindAuthUserWrapper.UnbindAuthUserQuery
	 * @return List<UnbindAuthUserWrapper.UnbindAuthUser>
	 */
	List<UnbindAuthUserWrapper.UnbindAuthUser> selectPage(@Param("page") IPage<UnbindAuthUserWrapper.UnbindAuthUser> page, @Param("param") UnbindAuthUserWrapper.UnbindAuthUserQuery param);
	
}