package com.yonge.cooleshow.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.yonge.cooleshow.biz.dal.entity.WxConfigInfo;
import com.yonge.cooleshow.biz.dal.wrapper.WxConfigInfoWrapper;

/**
 * 微信配置信息
 * 2023-07-21 17:32:49
 */
@Repository
public interface WxConfigInfoMapper extends BaseMapper<WxConfigInfo> {

	/**
	 * 分页查询
	 * @param page IPage<WxConfigInfoWrapper.WxConfigInfo>
	 * @param param WxConfigInfoWrapper.WxConfigInfoQuery
	 * @return List<WxConfigInfoWrapper.WxConfigInfo>
	 */
	List<WxConfigInfo> selectPage(@Param("page") IPage<WxConfigInfo> page, @Param("param") WxConfigInfoWrapper.WxConfigInfoQuery param);
	
}