package com.yonge.cooleshow.biz.dal.service;

/**
 * Created by Eric.Shang on 2022/11/2.
 */
public interface CacheKey {

    // 用户授权缓存-> userId:clientType => List
    String USER_AUTHORIZATION_PERMISSION = "{}:{}";
    // 用户身份-> userId:clientType:role =>
    String USER_AUTHORIZATION_ROLE = "{}:{}:role";
    // 应用权限授权
    String USER_AUTHORIZATION_APP = "{}:{}:app";
    // 验证码存储前缀
    String BUCKET_VERIFY_CODE = "verifycode:{}";
    // 消息类型验证码
    String BUCKET_TYPE_VERIFY_CODE = "verifycode:{}:{}";
    // 用户授权Token
    String JWT_TOKEN = "token:{}:{}";
    // 乐团编号
    String ORCHESTRA_ID = "orchestra:{}";
    // 乐团编号锁
    String ORCHESTRA_LOCK = "orchestra:LOCK";
    // 用户下单/付款/取消订单锁
    String PAYMENT_ORDER_LOCK = "paymentorder:{}";
    // 用户下单请求
    String EXECUTE_ORDER_LOCK = "LOCK_EXECUTE_ORDER:{}";
    // 用户支付配置
    String USER_PAYMENT_CONFIG = "paymentconfig:{}:{}";
    // 用户下单配置
    String USER_ORDER_CONFIG = "orderconfig:{}:{}";
    // 用户入账配置
    String USER_ORDER_ACCOUNT = "USER_ORDER_ACCOUNT:{}:{}";
}
