package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.CourseCoursewareVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseCoursewareSearch;
import com.yonge.cooleshow.biz.dal.entity.CourseCourseware;

import java.io.Serializable;
import java.util.Collection;

/**
 * 课件表 服务类
 * @author liweifan
 * @date 2022-11-02
 */
public interface CourseCoursewareService extends IService<CourseCourseware>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-11-02
     */
	CourseCoursewareVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-11-02
     */
    IPage<CourseCoursewareVo> selectPage(IPage<CourseCoursewareVo> page, CourseCoursewareSearch query);

	@Override
	boolean removeById(Serializable id);

	/**
	 * 保存课件数据
	 * @return
	 */
	CourseCourseware submit(CourseCourseware courseCourseware);


	@Override
	boolean removeByIds(Collection<? extends Serializable> idList);
}