package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.CourseRelationMusicAlbum;
import com.yonge.cooleshow.biz.dal.enums.course.CourseTypeEnum;

/**
 * 课程关联曲目专辑 服务类
 * @author liweifan
 * @date 2022-10-24
 */
public interface CourseRelationMusicAlbumService extends IService<CourseRelationMusicAlbum> {

    /**
     * 异常更新课程关联曲目专辑
     * @param groupId 课程组ID
     * @param courseType 课程组类型
     */
    void asyncUpdateCourseRelationMusicAlbumInfo(Long groupId, CourseTypeEnum courseType);

}