package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.dto.search.MyCourseSearch;
import com.yonge.cooleshow.biz.dal.entity.CourseScheduleReplied;
import com.yonge.cooleshow.biz.dal.vo.CourseRepliedVo;
import com.yonge.cooleshow.biz.dal.vo.MyRepliedVo;

/**
 * @Author: cy
 * @Date: 2022/4/12
 */
public interface CourseRepliedService extends IService<CourseScheduleReplied> {
    void replied(CourseScheduleReplied replied, SysUser sysUser);

    CourseRepliedVo selectReplied(CourseScheduleReplied replied);

    IPage<MyRepliedVo> myReplied(IPage<MyRepliedVo> page, MyCourseSearch search);

    void noRepliedTeacher();
}