package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.enums.InOrOutEnum;
import com.yonge.cooleshow.biz.dal.vo.PianoRoomChangeRecordVo;
import com.yonge.cooleshow.biz.dal.dto.search.PianoRoomChangeRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.PianoRoomChangeRecord;

/**
 * 琴房时长变更记录表 服务类
 * @author liweifan
 * @date 2022-08-03
 */
public interface PianoRoomChangeRecordService extends IService<PianoRoomChangeRecord>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-08-03
     */
	PianoRoomChangeRecordVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-08-03
     */
    IPage<PianoRoomChangeRecordVo> selectPage(IPage<PianoRoomChangeRecordVo> page, PianoRoomChangeRecordSearch query);

	boolean add(PianoRoomChangeRecord pianoRoomChangeRecord);
}