package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;

public interface SmsCodeService {

	/**
	 * 校验验证码
	 * @param mobile
	 * @param authCode
	 * @param type
	 * @return
	 */
	boolean verifyValidCode(String mobile, String authCode, String type);

	/**
	 * 发送登录验证码
	 * @return
	 */
	boolean sendValidCode(String mobile, String type, ClientEnum platform, String code) throws Exception;

    boolean sendValidCode(String mobile, String type, ClientEnum platform, String code, String client);
}
