package com.yonge.cooleshow.biz.dal.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestion;
import com.yonge.cooleshow.biz.dal.entity.SysSuggestionV2;
import com.yonge.cooleshow.biz.dal.wrapper.SysSuggestionWrapper;

/**
 * 平台建议表
 * 2022-11-15 17:59:45
 */
public interface SysSuggestionV2Service extends IService<SysSuggestionV2> {

	/**
     * 查询详情
     * @param id 详情ID
     * @return SysSuggestionWrapper.SysSuggestion
     */
    SysSuggestionV2 detail(Long id);

    /**
     * 分页查询
     * @param page IPage<SysSuggestionWrapper.SysSuggestionList>
     * @param query SysSuggestionWrapper.SysSuggestionQuery
     * @return IPage<SysSuggestionWrapper.SysSuggestion>
     */
    IPage<SysSuggestionWrapper.SysSuggestion> selectPage(IPage<SysSuggestionWrapper.SysSuggestion> page, SysSuggestionWrapper.SysSuggestionQuery query);

    /**
     * 添加
     * @param SysSuggestion SysSuggestionWrapper.SysSuggestion
     * @return Boolean
     */
     Boolean add(SysSuggestionV2 SysSuggestion);

    /**
     * 更新
     * @param SysSuggestion SysSuggestionWrapper.SysSuggestion
     * @return Boolean
     */
     Boolean update(SysSuggestionV2 SysSuggestion);


    Boolean handleSuggestion(SysSuggestionWrapper.HandleSuggestion handleSuggestion);
}
