package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dao.TeacherAttendanceDao;
import com.yonge.cooleshow.biz.dal.entity.CourseSchedule;
import com.yonge.cooleshow.biz.dal.entity.TeacherAttendance;

/**
 * 老师考勤表(TeacherAttendance)表服务接口
 *
 * @author hgw
 * @since 2022-05-05 13:51:23
 */
public interface TeacherAttendanceService extends IService<TeacherAttendance> {

    TeacherAttendanceDao getDao();

    //老师签到
    TeacherAttendance signIn(Long userId, CourseSchedule courseSchedule);

    //老师签退
    void signOut(Long userId, CourseSchedule courseSchedule);
}

