package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.UserOrderRefundBillVo;
import com.yonge.cooleshow.biz.dal.dto.search.UserOrderRefundPaymentSearch;
import com.yonge.cooleshow.biz.dal.entity.UserOrderRefundBill;

import java.util.List;

/**
 * 退款单表 服务类
 * @author liweifan
 * @date 2022-05-09
 */
public interface UserOrderRefundBillService extends IService<UserOrderRefundBill>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-05-09
     */
	UserOrderRefundBillVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-05-09
     */
    IPage<UserOrderRefundBillVo> selectPage(IPage<UserOrderRefundBillVo> page, UserOrderRefundPaymentSearch query);

    UserOrderRefundBill getByTransNoOrOrderNo(String transNo, String refundOrderNo);

    List<UserOrderRefundBill> getPendingList();
}