package com.yonge.cooleshow.biz.dal.service.impl;

import com.yonge.toolset.mybatis.dal.BaseDAO;
import com.yonge.toolset.mybatis.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yonge.cooleshow.biz.dal.entity.HolidaysFestivals;
import com.yonge.cooleshow.biz.dal.service.HolidaysFestivalsService;
import com.yonge.cooleshow.biz.dal.dao.HolidaysFestivalsDao;

@Service
public class HolidaysFestivalsServiceImpl extends BaseServiceImpl<Integer, HolidaysFestivals> implements HolidaysFestivalsService {
	
	@Autowired
	private HolidaysFestivalsDao holidaysFestivalsDao;

	@Override
	public BaseDAO<Integer, HolidaysFestivals> getDAO() {
		return holidaysFestivalsDao;
	}

	@Override
	public HolidaysFestivals queryByYear(int year) {
		return holidaysFestivalsDao.queryByYear(year);
	}
	
}