package com.yonge.cooleshow.biz.dal.service.impl;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonStudyRecord;
import com.yonge.cooleshow.biz.dal.dao.VideoLessonStudyRecordDao;
import com.yonge.cooleshow.biz.dal.service.VideoLessonStudyRecordService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * VideoLessonStudyRecordService服务实现类
 * @author yzp
 * @date 2022-03-26 00:01:38
 * @version v1.0
 **/
@Service
public class VideoLessonStudyRecordServiceImpl extends ServiceImpl<VideoLessonStudyRecordDao,VideoLessonStudyRecord> implements VideoLessonStudyRecordService {

    private final static Logger log = LoggerFactory.getLogger(VideoLessonStudyRecordServiceImpl.class);

    @Autowired
    private VideoLessonStudyRecordDao videoLessonStudyRecordDao;

    public VideoLessonStudyRecordDao getDao() {
        return videoLessonStudyRecordDao;
    }
}