package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: cy
 * @Date: 2022/5/19
 */
@Data
@ApiModel
public class CourseGroupLiveVo extends BaseEntity {
    @ApiModelProperty("直播课组id")
    private Long courseGroupId;
    @ApiModelProperty("直播课组名称")
    private String courseGroupName;
    @ApiModelProperty("声部id")
    private Long subjectId;
    @ApiModelProperty("声部名称")
    private String subjectName;
    @ApiModelProperty("预计购课人数")
    private Integer studentNum;
    @ApiModelProperty("课时总数")
    private Integer courseNum;
    @ApiModelProperty("已完成课时数")
    private Integer completeCount;
    @ApiModelProperty("老师id")
    private Long teacherId;
    @ApiModelProperty("老师姓名")
    private String teacherName;
    @ApiModelProperty("老师真实姓名")
    private String teacherRealName;
    @ApiModelProperty("课程组状态 ING进行中 COMPLETE已完成 DISSOLVE-未成课(解散课程) CANCEL已取消-未开始报名前可取消 APPLY报名中 NOT_SALE未开售")
    private String status;
    @ApiModelProperty("第一节课开始时间")
    private String startTime;

    @ApiModelProperty("课程规划")
    private String coursePlan;
}
