package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.CourseScheduleReplied;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/19
 */
@Data
@ApiModel(value = "CourseRepliedVo")
public class CourseRepliedVo extends CourseScheduleReplied {
    @ApiModelProperty("用户名")
    private String userName;

    private String realName;

    @ApiModelProperty("头像地址")
    private String avatar;

    @ApiModelProperty("上课日期")
    private String classDate;

    @ApiModelProperty("上课时间")
    private String startTime;

    @ApiModelProperty("下课时间")
    private String endTime;

    @ApiModelProperty("课程状态 NOT_START未开始 ING进行中 COMPLETE已完成 CANCEL已取消")
    private String status;

    @ApiModelProperty("声部id")
    private Integer subjectId;

    @ApiModelProperty("声部名称")
    private String subjectName;

    @ApiModelProperty("课程组名称")
    private String courseGroupName;
}