package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author: cy
 * @Date: 2022/4/19
 */
@ApiModel(value = "PracticeTeacherVo")
@Data
public class PracticeTeacherVo implements Serializable {
    @ApiModelProperty(value = "老师id")
    private Integer teacherId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    private String realName;

    @ApiModelProperty(value = "头像地址")
    private String avatar;

    @ApiModelProperty(value = "星级")
    private String starGrade;

    @ApiModelProperty(value = "已上课时")
    private String expTime;

    @ApiModelProperty(value = "毕业学校")
    private String school;

    @ApiModelProperty(value = "学校专业")
    private String schoolSubject;

    @ApiModelProperty(value = "设置的声部")
    private String configSubject;

    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "声部价格")
    private String subjectPrice;

    @ApiModelProperty(value = "课程时长(分钟)")
    private String courseMinutes;
}

