package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.TeacherSubjectPrice;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author: cy
 * @Date: 2022/4/15
 */
@ApiModel(value = "TeacherFreeTimeVo")
@Data
public class TeacherFreeTimeVo implements Serializable {
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "老师编号")
    private Long teacherId;

    @ApiModelProperty(value = "是否跳过节假日1是0否")
    private Boolean skipHolidayFlag;

    @ApiModelProperty(value = "声部金额")
    private List<TeacherSubjectPrice> subjectPrice;

    @ApiModelProperty(value = "周一")
    private String monday;

    @ApiModelProperty(value = "周二")
    private String tuesday;

    @ApiModelProperty(value = "周三")
    private String wednesday;

    @ApiModelProperty(value = "周四")
    private String thursday;

    @ApiModelProperty(value = "周五")
    private String friday;

    @ApiModelProperty(value = "周六")
    private String saturday;

    @ApiModelProperty(value = "周日")
    private String sunday;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}

