package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: cy
 * @date: 2022/3/31 11:39
 */
@Data
@ApiModel(value = "VideoLessonGroupVo对象", description = "视频课组列表")
public class VideoLessonGroupVo extends VideoLessonGroup {
    private String realName;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "头像URL")
    private String avatar;

    @ApiModelProperty("购买人数")
    private Integer countStudent;

    @ApiModelProperty("曲目数量")
    private Long musicNum;
}
