package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@Data
@ApiModel(value = "HomeTotalStudent", description = "后台首页学生数据统计查询对象")
public class HomeTotalStudent {
    @ApiModelProperty("学生注册量 ")
    private Integer registerNum;
    @ApiModelProperty("新增会员学员 ")
    private Integer vipNum;
    @ApiModelProperty("新增会员学员 ")
    private Integer svipNum;
    @ApiModelProperty("新增趣纠课学员 ")
    private Integer practiceNum;
    @ApiModelProperty("新增VIP课学员 ")
    private Integer vipCourseNum;
    @ApiModelProperty("新增畅学卡学员 ")
    private Integer discountNum;
    @ApiModelProperty("新增视频课学员 ")
    private Integer videoNum;
    @ApiModelProperty("新增直播课学员 ")
    private Integer liveNum;
    @ApiModelProperty("新增乐曲学员 ")
    private Integer musicNum;
    @ApiModelProperty("新增商城用户 ")
    private Integer shoppingNum;
    @ApiModelProperty("时间（详情数据中使用） ")
    private String timeStr;
    @ApiModelProperty("详情数据 ")
    private List<HomeTotalStudent> infoList;

    @ApiModelProperty("付费学员数")
    private Integer payStudentNum;

}