package com.yonge.cooleshow.biz.dal.wrapper;

import com.yonge.cooleshow.biz.dal.vo.MemberPriceSettingsVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 曲谱表
 * 2022-12-07 10:16:58
 */
@ApiModel(value = "MusicSheetWrapper对象", description = "曲谱表查询对象")
public class ActivityPlayWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class GroupListDto{
        @ApiModelProperty("分类")
        private String type;

        @ApiModelProperty("会员列表")
        private List<MemberPriceSettingsVo> memberList;
	}

}
