package com.yonge.cooleshow.biz.dal.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "StudentIndexWrapper", description = "首页数据统计")
public class StudentIndexWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class SummaryDto{
        @ApiModelProperty("练习总时长（秒）")
        private Long recordTime;

        @ApiModelProperty("本周已上课次数")
        private Integer courseCount;

        @ApiModelProperty("本周总课次")
        private Integer totalCourseCount;
	}

}
