package com.yonge.log;


import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan(basePackages = { "com.yonge.log" })
@Configuration
public class AuditLogServerApplication {

	public static void main(String[] args) {
		SpringApplication.run(AuditLogServerApplication.class, args);
	}

}
