package com.yonge.toolset.base.string;

/**
 * char 常量池
 *
 * @author L.cm
 */
public interface CharPool {

	// @formatter:off
	char UPPER_A          = 'A';
	char LOWER_A          = 'a';
	char UPPER_Z          = 'Z';
	char LOWER_Z          = 'z';
	char DOT              = '.';
	char AT               = '@';
	char LEFT_BRACE       = '{';
	char RIGHT_BRACE      = '}';
	char LEFT_BRACKET     = '(';
	char RIGHT_BRACKET    = ')';
	char DASH             = '-';
	char PERCENT          = '%';
	char PIPE             = '|';
	char PLUS             = '+';
	char QUESTION_MARK    = '?';
	char EXCLAMATION_MARK = '!';
	char EQUALS           = '=';
	char AMPERSAND        = '&';
	char ASTERISK         = '*';
	char STAR             = ASTERISK;
	char BACK_SLASH       = '\\';
	char COLON            = ':';
	char COMMA            = ',';
	char DOLLAR           = '$';
	char SLASH            = '/';
	char HASH             = '#';
	char HAT              = '^';
	char LEFT_CHEV        = '<';
	char NEWLINE          = '\n';
	char N                = 'n';
	char Y                = 'y';
	char QUOTE            = '\"';
	char RETURN           = '\r';
	char TAB              = '\t';
	char RIGHT_CHEV       = '>';
	char SEMICOLON        = ';';
	char SINGLE_QUOTE     = '\'';
	char BACKTICK         = '`';
	char SPACE            = ' ';
	char TILDA            = '~';
	char LEFT_SQ_BRACKET  = '[';
	char RIGHT_SQ_BRACKET = ']';
	char UNDERSCORE       = '_';
	char ONE              = '1';
	char ZERO             = '0';
	// @formatter:on

}
